﻿--2023.8.7update
ALTER TABLE sys_user ADD gender varchar(20) NULL COMMENT '性别，MAN：男，WOMAN：女';
ALTER TABLE sys_user CHANGE gender gender varchar(20) NULL COMMENT '性别，MAN：男，WOMAN：女' AFTER org_id;
ALTER TABLE sys_user CHANGE org_id org_id bigint NULL COMMENT '机构id' AFTER mobile_number;

UPDATE sys_privilege
SET name='人员档案导入', url='/api/admin/user/archives/import', `type`='URL', parent_id=33, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=70;
UPDATE sys_privilege
SET name='人员档案导出', url='/api/admin/user/archives/export', `type`='URL', parent_id=33, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=71;
UPDATE sys_privilege
SET name='任务管理查询', url='/api/admin/task/query', `type`='URL', parent_id=240, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=72;

INSERT INTO `sys_privilege` VALUES (252, '用户查询', '/api/admin/user/list', 'URL', 15, 1, 'AUTH', '122', 1, 1, 0);
INSERT INTO `sys_privilege` VALUES (283, '用户新增/修改', '/api/admin/user/save', 'URL', 15, 2, 'AUTH', '120', 1, 1, 0);
INSERT INTO `sys_privilege` VALUES (284, '用户启用/禁用', '/api/admin/user/enable', 'URL', 15, 3, 'AUTH', '121', 1, 1, 0);

-- ----------------------------
-- Table structure for t_s_auth
-- ----------------------------
DROP TABLE IF EXISTS `t_s_auth`;
CREATE TABLE `t_s_auth` (
                            `id` bigint NOT NULL COMMENT '主键',
                            `school_id` bigint DEFAULT NULL COMMENT '学校id',
                            `access_key` varchar(255) DEFAULT NULL COMMENT 'accessKey',
                            `access_secret` varchar(255) DEFAULT NULL COMMENT 'accessSecret',
                            `description` text COMMENT '离线授权证书',
                            `type` varchar(16) NOT NULL COMMENT '授权类型',
                            `create_id` bigint DEFAULT NULL COMMENT '创建人',
                            `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                            `update_id` bigint DEFAULT NULL COMMENT '更新人',
                            `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                            `expire_time` bigint DEFAULT NULL COMMENT '过期时间',
                            `file` mediumblob COMMENT '文件数据',
                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='激活授权配置表';

-- ----------------------------
-- Table structure for basic_school
-- ----------------------------
DROP TABLE IF EXISTS `basic_school`;
CREATE TABLE `basic_school` (
                                `id` bigint NOT NULL COMMENT '主键',
                                `code` varchar(20) NOT NULL COMMENT '学校编码',
                                `domain_name` varchar(20) DEFAULT NULL COMMENT '域名',
                                `name` varchar(100) DEFAULT NULL COMMENT '学校名称',
                                `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
                                `access_key` varchar(50) DEFAULT NULL COMMENT '访问key',
                                `access_secret` varchar(50) DEFAULT NULL COMMENT '访问秘钥',
                                `remark` text COMMENT '备注',
                                `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                `logo` mediumtext COMMENT '学校logo',
                                PRIMARY KEY (`id`) USING BTREE,
                                UNIQUE KEY `code` (`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='学校表';

--2023.8.8update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(285, '获取所有角色', '/api/admin/common/get_role_list', 'URL', 64, 10, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(286, '获取所有用户', '/api/admin/common/get_user_list', 'URL', 64, 11, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(287, '获取所有机构', '/api/admin/common/get_org_list', 'URL', 64, 12, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(288, '角色查询', '/api/admin/role/list', 'URL', 16, 1, 'AUTH', '123', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(289, '角色新增/修改', '/api/admin/role/save', 'URL', 16, 2, 'AUTH', '124,125', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(290, '角色删除', '/api/admin/role/delete', 'URL', 16, 3, 'AUTH', '126', 1, 1, 0);

ALTER TABLE sys_org ADD CONSTRAINT sys_org_UN_name UNIQUE KEY (name);
ALTER TABLE sys_user ADD CONSTRAINT sys_user_UN_login_name UNIQUE KEY (org_id,login_name);
ALTER TABLE sys_user ADD CONSTRAINT sys_user_UN_moblie_number UNIQUE KEY (org_id,mobile_number);
ALTER TABLE sys_role ADD CONSTRAINT sys_role_UN_type UNIQUE KEY (name,`type`);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=6, `sequence`=1, property='AUTH', related='256', enable=1, default_auth=0, front_display=1
WHERE id=89;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=6, `sequence`=1, property='AUTH', related='254', enable=1, default_auth=0, front_display=1
WHERE id=90;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=6, `sequence`=1, property='AUTH', related='254,257', enable=1, default_auth=0, front_display=1
WHERE id=91;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=6, `sequence`=2, property='AUTH', related='253', enable=1, default_auth=0, front_display=1
WHERE id=92;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=15, `sequence`=2, property='AUTH', related='252', enable=1, default_auth=0, front_display=1
WHERE id=122;
UPDATE sys_privilege
SET name='用户查询', url='/api/admin/user/list', `type`='URL', parent_id=15, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=252;
UPDATE sys_privilege
SET name='服务档位删除', url='/api/sys/level/delete', `type`='URL', parent_id=6, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=253;
UPDATE sys_privilege
SET name='服务档位', url='/api/sys/level/get', `type`='URL', parent_id=6, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=254;
UPDATE sys_privilege
SET name='服务档位列表', url='/api/sys/level/query', `type`='URL', parent_id=6, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=256;
UPDATE sys_privilege
SET name='服务档位修改', url='/api/sys/level/update', `type`='URL', parent_id=6, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=257;
UPDATE sys_privilege
SET name='客户新增', url='/api/sys/custom/add', `type`='URL', parent_id=3, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=258;
UPDATE sys_privilege
SET name='客户删除', url='/api/sys/custom/delete', `type`='URL', parent_id=3, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=259;
UPDATE sys_privilege
SET name='客户查询', url='/api/sys/custom/get', `type`='URL', parent_id=3, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=260;
UPDATE sys_privilege
SET name='客户批量导入', url='/api/sys/custom/import', `type`='URL', parent_id=3, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=261;
UPDATE sys_privilege
SET name='客户查询条件', url='/api/sys/custom/query', `type`='URL', parent_id=3, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=262;
UPDATE sys_privilege
SET name='客户修改', url='/api/sys/custom/update', `type`='URL', parent_id=3, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=263;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=3, `sequence`=3, property='AUTH', related='262', enable=1, default_auth=0, front_display=1
WHERE id=75;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=3, `sequence`=1, property='AUTH', related='260,263', enable=1, default_auth=0, front_display=1
WHERE id=77;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=3, `sequence`=2, property='AUTH', related='259,260', enable=1, default_auth=0, front_display=1
WHERE id=78;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=3, `sequence`=1, property='AUTH', related='258', enable=1, default_auth=0, front_display=1
WHERE id=79;
UPDATE sys_privilege
SET name='批量导入', url='BatchImport', `type`='BUTTON', parent_id=3, `sequence`=2, property='AUTH', related='261', enable=1, default_auth=0, front_display=1
WHERE id=80;
UPDATE sys_privilege
SET name='供应商新增', url='/api/sys/supplier/add', `type`='URL', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=264;
UPDATE sys_privilege
SET name='供应商启用/禁用', url='/api/sys/supplier/enable', `type`='URL', parent_id=4, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=265;
UPDATE sys_privilege
SET name='供应商列表', url='/api/sys/supplier/get', `type`='URL', parent_id=4, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=266;
UPDATE sys_privilege
SET name='供应商列表', url='/api/sys/supplier/query', `type`='URL', parent_id=4, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=268;
UPDATE sys_privilege
SET name='供应商修改', url='/api/sys/supplier/update', `type`='URL', parent_id=4, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=269;
UPDATE sys_privilege
SET name='设备新增', url='/api/sys/device/add', `type`='URL', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=270;
UPDATE sys_privilege
SET name='设备作废', url='/api/sys/device/delete', `type`='URL', parent_id=5, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=271;
UPDATE sys_privilege
SET name='设备作废', url='/api/sys/device/disable', `type`='URL', parent_id=5, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=272;
UPDATE sys_privilege
SET name='设备查询条件', url='/api/sys/device/get', `type`='URL', parent_id=5, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=273;
UPDATE sys_privilege
SET name='设备查询条件', url='/api/sys/device/query', `type`='URL', parent_id=5, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=275;
UPDATE sys_privilege
SET name='设备新增', url='/api/sys/device/update', `type`='URL', parent_id=5, `sequence`=7, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=276;
UPDATE sys_privilege
SET name='考勤新增', url='/api/sys/ding/group/add', `type`='URL', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=277;
UPDATE sys_privilege
SET name='考勤删除', url='/api/sys/ding/group/delete', `type`='URL', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=278;
UPDATE sys_privilege
SET name='考勤查询', url='/api/sys/ding/group/get', `type`='URL', parent_id=7, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=279;
UPDATE sys_privilege
SET name='考勤查询条件', url='/api/sys/ding/group/query', `type`='URL', parent_id=7, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=281;
UPDATE sys_privilege
SET name='考勤修改', url='/api/sys/ding/group/update', `type`='URL', parent_id=7, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=282;
UPDATE sys_privilege
SET name='用户新增/修改', url='/api/admin/user/save', `type`='URL', parent_id=15, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=283;
UPDATE sys_privilege
SET name='用户启用/禁用', url='/api/admin/user/enable', `type`='URL', parent_id=15, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=284;
UPDATE sys_privilege
SET name='角色查询', url='/api/admin/role/list', `type`='URL', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=288;
UPDATE sys_privilege
SET name='角色新增/修改', url='/api/admin/role/save', `type`='URL', parent_id=16, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=289;
UPDATE sys_privilege
SET name='角色删除', url='/api/admin/role/delete', `type`='URL', parent_id=16, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=290;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=81;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=82;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=83;
UPDATE sys_privilege
SET name='启用/禁用', url='Enable', `type`='LINK', parent_id=4, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=84;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=85;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=86;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=87;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=5, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=88;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=94;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=95;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=96;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=106;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=15, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=120;
UPDATE sys_privilege
SET name='启用/禁用', url='Enable', `type`='LINK', parent_id=15, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=121;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=123;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=125;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=16, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=126;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=16, `sequence`=1, property='AUTH', related='288', enable=1, default_auth=0, front_display=1
WHERE id=123;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related='289', enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related='289', enable=1, default_auth=0, front_display=1
WHERE id=125;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=16, `sequence`=2, property='AUTH', related='290', enable=1, default_auth=0, front_display=1
WHERE id=126;

UPDATE sys_privilege
SET name='修改密码', url='UpdatePwd', `type`='LINK', parent_id=15, `sequence`=3, property=NULL, related='18', enable=1, default_auth=0, front_display=1
WHERE id=17;
UPDATE sys_privilege
SET name='用户修改密码', url='/api/admin/user/update_password', `type`='URL', parent_id=15, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=18;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3000, '修改密码', '/api/admin/common/update_password', 'URL', 64, 13, 'SYS', NULL, 1, 1, 0);

--2023.8.10update
ALTER TABLE t_d_form_widget ADD sub_title varchar(1000) NULL COMMENT '子标题';
ALTER TABLE t_d_form_widget CHANGE sub_title sub_title varchar(1000) NULL COMMENT '子标题' AFTER span;

ALTER TABLE t_d_table_prop ADD sub_title varchar(1000) NULL COMMENT '子标题';
ALTER TABLE t_d_table_prop CHANGE sub_title sub_title varchar(1000) NULL COMMENT '子标题' AFTER colspan;

--2023.8.11update
UPDATE sys_privilege
SET name='通知公告管理', url='noticeManage', `type`='MENU', parent_id=8, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=9;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3001, '流程审批接口', '/api/admin/flow/approve', 'URL', 64, 14, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3002, '创建流程接口', '/api/admin/flow/createDeployment', 'URL', 64, 15, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3003, '结束流程接口', '/api/admin/flow/delete', 'URL', 64, 16, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3004, '获取流程部署信息接口', '/api/admin/flow/deployment/data', 'URL', 64, 17, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3005, '获取流程表单属性接口', '/api/admin/flow/form_properties/get', 'URL', 64, 18, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3006, '获取流程待办接口', '/api/admin/flow/getTaskList', 'URL', 64, 19, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3007, '流程转办接口', '/api/admin/flow/task/approver/exchange', 'URL', 64, 20, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3008, '上传流程接口', '/api/admin/flow/upload', 'URL', 64, 21, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3009, '获取流程详细信息接口', '/api/admin/flow/view', 'URL', 64, 22, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3010, '清除缓存接口', '/api/admin/common/cache_clear', 'URL', 3012, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3011, '超管菜单', 'adminManage', 'MENU', NULL, 10, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3012, '清除缓存', 'cacheManage', 'MENU', 3011, 1, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3013, '消息提醒规则', 'messageRuleManage', 'MENU', 3011, 2, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3014, '清除缓存', 'Clear', 'BUTTON', 3012, 1, 'AUTH', '3010', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3015, '查询枚举接口', '/api/admin/common/query_enum', 'URL', 64, 23, 'SYS', NULL, 1, 1, 0);

ALTER TABLE t_b_quality_problem_apply ADD problem_no VARCHAR(100)
    COMMENT '问题编号' NOT NULL after crm_no;

--2023.8.14update
-- ----------------------------
-- Table structure for sequence
-- ----------------------------
DROP TABLE IF EXISTS `sequence`;
CREATE TABLE `sequence` (
                            `name` varchar(50) CHARACTER NOT NULL COMMENT '名称',
                            `current_value` bigint NOT NULL DEFAULT '0' COMMENT '当前值',
                            `increment` int NOT NULL DEFAULT '1' COMMENT '增长值',
                            PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='序列表';

-- ----------------------------
-- Records of sequence
-- ----------------------------
BEGIN;
INSERT INTO `sequence` VALUES ('cloudMarkSopFlow', 0, 1);
INSERT INTO `sequence` VALUES ('dingExceptionFlow', 0, 1);
INSERT INTO `sequence` VALUES ('officeSopFlow', 0, 1);
INSERT INTO `sequence` VALUES ('projectExchangeFlow', 0, 1);
INSERT INTO `sequence` VALUES ('qualityProblemFlow', 0, 1);
COMMIT;

DROP FUNCTION IF EXISTS `currval`;
delimiter ;;
CREATE FUNCTION `currval`(seq_name VARCHAR(50)) RETURNS int
    DETERMINISTIC
BEGIN
	DECLARE value LONG;
	SET value = 0;
SELECT current_value INTO value
FROM sequence
WHERE name = seq_name;
RETURN value;
END;
;;
delimiter ;

DROP FUNCTION IF EXISTS `nextval`;
delimiter ;;
CREATE FUNCTION `nextval`(seq_name VARCHAR(50)) RETURNS int
    DETERMINISTIC
BEGIN
UPDATE sequence
SET current_value = current_value + increment
WHERE name = seq_name;
RETURN currval(seq_name);
END;
;;
delimiter ;

UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related='289,3016', enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related='289,3016', enable=1, default_auth=0, front_display=1
WHERE id=125;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3016, '角色权限查询接口', '/api/admin/role/privilege/list', 'URL', 16, 4, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(19, NULL, 'flow.code.length', '流程编码长度', '10', NULL, 1, 1, 1, NULL, NULL, NULL);

ALTER TABLE t_f_custom_flow_entity MODIFY COLUMN code varchar(20) CHARACTER SET utf8mb4 NOT NULL COMMENT '编号';
ALTER TABLE t_f_custom_flow_entity ADD CONSTRAINT t_f_custom_flow_entity_UN_code UNIQUE KEY (code,flow_id);

DELETE FROM sys_privilege
WHERE id=22;

UPDATE sys_privilege
SET name='质量监控分析', url='qualityProblemControl', `type`='MENU', parent_id=20, `sequence`=2, property=NULL, related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=23;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN sop_no sop_no VARCHAR(100)
    COMMENT 'sop单号' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN crm_no crm_no VARCHAR(100)
    COMMENT 'crm单号' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN service_id service_id BIGINT
    COMMENT '服务单元id' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN type type VARCHAR(20)
    COMMENT '问题类型，UPDATE：修正类，OPTIMIZE：优化类，NO_PROBLEM：不是问题' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN reason reason VARCHAR(20)
    COMMENT '问题原因类型，EXEC：执行类，MANAGER：管理协调类，FLOW：流程制度类，PRODUCT_PROBLEM：产品缺陷类，PRODUCT_MANAGER：产品运维类，OTHER：其它' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN user_id user_ids VARCHAR(500)
    COMMENT '责任人id数组' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN attachment_id attachment_ids VARCHAR(500)
    COMMENT '附件id数组' NULL;

ALTER TABLE t_b_quality_problem_apply ADD remark VARCHAR(500)
    COMMENT '问题情况说明' NOT NULL after summary;

ALTER TABLE t_b_quality_problem_apply ADD update_id BIGINT
    COMMENT '更新人id' NULL after create_time;

ALTER TABLE t_b_quality_problem_apply ADD update_time BIGINT
    COMMENT '更新时间' NULL after update_id;

UPDATE sys_privilege
SET name='上报质量问题', url='ProblemSubmit', `type`='LINK', parent_id=41, `sequence`=5, property='AUTH', related='1031', enable=1, default_auth=0, front_display=1
WHERE id=179;

--2023.8.15update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3017, '考勤异常申请接口', '/api/admin/ding/exception/apply/save', 'URL', 26, 1, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=21, `sequence`=1, property='AUTH', related='1031', enable=1, default_auth=0, front_display=1
WHERE id=127;
UPDATE sys_privilege
SET name='考勤打卡', url='ding', `type`='MENU', parent_id=25, `sequence`=1, property=NULL, related='3017', enable=1, default_auth=0, front_display=1
WHERE id=26;
UPDATE sys_privilege
SET name='待审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=131;
UPDATE sys_privilege
SET name='待审核-批量通过', url='BatchPass', `type`='BUTTON', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=132;
UPDATE sys_privilege
SET name='待审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=134;
UPDATE sys_privilege
SET name='待审核-批量拒绝', url='BatchReject', `type`='BUTTON', parent_id=27, `sequence`=2, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=135;
UPDATE sys_privilege
SET name='待审核-通过', url='Pass', `type`='LINK', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=136;
UPDATE sys_privilege
SET name='待审核-拒绝', url='Reject', `type`='LINK', parent_id=27, `sequence`=2, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=137;
UPDATE sys_privilege
SET name='已审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=138;
UPDATE sys_privilege
SET name='已审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=140;
UPDATE sys_privilege
SET name='获取全部流程待办', url='/api/admin/flow/task/un_done/list', `type`='URL', parent_id=64, `sequence`=19, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3006;

ALTER TABLE t_b_quality_problem_apply ADD CONSTRAINT t_b_quality_problem_apply_UN_probem_no UNIQUE KEY (problem_no);

ALTER TABLE t_b_ding_apply CHANGE COLUMN flow_id ding_exception_no VARCHAR(100)
    COMMENT '考勤异常编号' NOT NULL;

ALTER TABLE t_b_ding_apply CHANGE COLUMN attachment_id attachment_ids VARCHAR(500)
    COMMENT '附件id数组' NULL;

ALTER TABLE t_b_ding_apply ADD CONSTRAINT t_b_ding_apply_UN_ding_exception_no UNIQUE KEY (ding_exception_no);

--2023.8.16update
ALTER TABLE t_b_product CHANGE COLUMN code code VARCHAR(100)
    COMMENT '编码，OFFICE：教务处，CLOUD_MARK：云阅卷' NOT NULL;

ALTER TABLE t_b_session MODIFY COLUMN `type` varchar(500) CHARACTER SET utf8mb4 NOT NULL COMMENT '用户类型';

ALTER TABLE t_b_ding_history ADD date_type varchar(20) NULL COMMENT '日期类型：WEEKDAY("工作日"),WEEKEND("周末"),LEGAL_HOLIDAYS("法定节假日")';
ALTER TABLE t_b_ding_history CHANGE date_type date_type varchar(20) NULL COMMENT '日期类型：WEEKDAY("工作日"),WEEKEND("周末"),LEGAL_HOLIDAYS("法定节假日")' AFTER sign_date;

ALTER TABLE t_f_custom_flow_entity ADD crm_no varchar(100) NULL COMMENT 'crm单号';
ALTER TABLE t_f_custom_flow_entity CHANGE crm_no crm_no varchar(100) NULL COMMENT 'crm单号' AFTER t_f_custom_flow_id;

UPDATE sys_privilege
SET name='获取流程待办', url='/api/admin/flow/task/list', `type`='URL', parent_id=64, `sequence`=19, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3006;

INSERT INTO t_b_product
(id, name, code, enable, create_id, create_time)
VALUES(1, '教务处', 'OFFICE', 1, 1, NULL);
INSERT INTO t_b_product
(id, name, code, enable, create_id, create_time)
VALUES(2, '云阅卷', 'CLOUD_MARK', 1, 1, NULL);

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3018, '根据角色类型获取所有用户', '/api/admin/common/get_user_list_by_role_type', 'URL', 64, 24, 'SYS', NULL, 1, 1, 0);

DROP TABLE IF EXISTS `t_s_job_log`;
CREATE TABLE `t_s_job_log` (
                               `id` bigint NOT NULL COMMENT '主键',
                               `job_remind_id` bigint NOT NULL COMMENT '任务提醒id',
                               `type` varchar(20) CHARACTER NOT NULL COMMENT '任务类型',
                               `code` varchar(100) CHARACTER DEFAULT NULL COMMENT '编码',
                               `obj_id` bigint NOT NULL COMMENT '实体id',
                               `obj_name` varchar(100) CHARACTER DEFAULT NULL COMMENT '实体名称',
                               `remind_type` varchar(20) CHARACTER NOT NULL COMMENT '提醒类别，BEFORE：提前，AFTER：超时',
                               `create_id` bigint NOT NULL COMMENT '创建人id',
                               `create_time` bigint NOT NULL COMMENT '创建时间',
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='任务日志表';

-- ----------------------------
-- Table structure for t_s_job_remind
-- ----------------------------
DROP TABLE IF EXISTS `t_s_job_remind`;
CREATE TABLE `t_s_job_remind` (
                                  `id` bigint NOT NULL COMMENT '主键',
                                  `code` varchar(100) DEFAULT NULL COMMENT '编码',
                                  `obj_id` bigint NOT NULL COMMENT '实体id',
                                  `obj_name` varchar(100) DEFAULT NULL COMMENT '实体名称',
                                  `remind_type` varchar(20) NOT NULL COMMENT '提醒类别，BEFORE：提前，AFTER：超时',
                                  `exec_time` bigint NOT NULL COMMENT '执行时间',
                                  `exec_field` varchar(50) DEFAULT NULL COMMENT '执行字段',
                                  `exec` tinyint NOT NULL DEFAULT '0' COMMENT '是否执行，0：未执行，1：已执行',
                                  `create_id` bigint NOT NULL COMMENT '创建人id',
                                  `create_time` bigint NOT NULL COMMENT '创建时间',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='任务提醒表';


ALTER TABLE sys_message CHANGE COLUMN type type VARCHAR(20)
    COMMENT '消息类型，BEFORE：提前提醒，AFTER：延期提醒，OFFICE_SOP：教务处SOP，CLOUD_MARK_SOP：云阅卷SOP，QUALITY：质量问题提醒，EXCEPTION_APPROVE：异常审核提醒，VIOLATION：违规提醒，SYSTEM_PLAN_CHANGE：系统计划变更提醒，SYSTEM：系统公告' NOT NULL;

ALTER TABLE sys_message ADD code VARCHAR(100)
    COMMENT '编号' NULL after crm_no;

ALTER TABLE sys_message ADD obj_type VARCHAR(100)
    COMMENT '实体业务类型' NULL after type;

INSERT INTO sys_role
(id, org_id, name, enable, `type`, create_id, create_time, update_id, update_time, default_role, interpret)
VALUES(10, NULL, '客户经理', 1, 'ACCOUNT_MANAGER', NULL, NULL, NULL, NULL, 1, '系统角色');

--2023.8.17update
UPDATE sys_privilege
SET name='我的工作台', url='workManage', `type`='MENU', parent_id=NULL, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=58;
UPDATE sys_privilege
SET name='工作台', url='workChildManage', `type`='MENU', parent_id=58, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=59;
UPDATE sys_privilege
SET name='消息提醒', url='message', `type`='MENU', parent_id=59, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=60;
UPDATE sys_privilege
SET name='待办任务', url='work', `type`='MENU', parent_id=59, `sequence`=2, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=61;
UPDATE sys_privilege
SET name='通知公告', url='notice', `type`='MENU', parent_id=59, `sequence`=3, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=62;
UPDATE sys_privilege
SET name='按多个类型统计当前用户未读消息', url='/api/sys/message/countByTypes', `type`='URL', parent_id=59, `sequence`=1, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=1009;
UPDATE sys_privilege
SET name='查看消息详细', url='/api/sys/message/get', `type`='URL', parent_id=59, `sequence`=2, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=1010;
UPDATE sys_privilege
SET name='按多个类型查询当前用户未读消息', url='/api/sys/message/pageByTypes', `type`='URL', parent_id=59, `sequence`=3, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=1011;
UPDATE sys_privilege
SET name='标记消息已阅读', url='/api/sys/message/read', `type`='URL', parent_id=59, `sequence`=4, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=1012;

INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(20, NULL, 'job.before.time', '提前提醒任务时间（单位：分）', '720', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(21, NULL, 'job.after.time', '超时提醒任务时间（单位：分）', '1440', NULL, 1, 1, 1, NULL, NULL, NULL);

ALTER TABLE t_f_flow_log CHANGE COLUMN approve_operation approve_operation VARCHAR(50)
    COMMENT '审批操作，START：提交，DRAFT：草稿，APPROVE：审批，REJECT：驳回，END：终止，CANCEL：撤销，EXCHANGE：转他人审批，FINISH：结束' NOT NULL;

ALTER TABLE t_s_job_remind ADD receive_user_id BIGINT
    COMMENT '接收人id' NOT NULL after exec;

ALTER TABLE t_s_job_remind ADD approve_operation VARCHAR(20)
    COMMENT '审批操作，START：提交，DRAFT：草稿，APPROVE：审批，REJECT：驳回，END：终止，CANCEL：撤销，EXCHANGE：转他人审批，FINISH：结束' NOT NULL after receive_user_id;

ALTER TABLE t_s_job_remind ADD enable TINYINT DEFAULT 1
    COMMENT '是否启用，0：停用，1：启用' NOT NULL after approve_operation;

ALTER TABLE t_s_job_remind CHANGE COLUMN exec_time exec_time BIGINT
    COMMENT '执行时间' NULL;

--2023.8.18update
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(22, NULL, 'notice.job.after.time', '公告超时提醒任务时间（单位：分）', '30', NULL, 1, 1, 1, NULL, NULL, NULL);

UPDATE sys_config
SET org_id=NULL, config_key='flow.job.before.time', config_name='流程提前提醒任务时间（单位：分）', config_value='720', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=20;
UPDATE sys_config
SET org_id=NULL, config_key='flow.job.after.time', config_name='流程超时提醒任务时间（单位：分）', config_value='1440', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=21;

ALTER TABLE t_s_job_remind CHANGE COLUMN exec type TINYINT DEFAULT 0
    COMMENT '类型，FLOW：流程，NOTICE：公告' NOT NULL;

ALTER TABLE t_s_job_remind MODIFY COLUMN `type` VARCHAR(20) NOT NULL COMMENT '类型，FLOW：流程，NOTICE：公告';

ALTER TABLE t_s_job_remind CHANGE `type` `type` varchar(20) CHARACTER SET utf8mb4 NOT NULL COMMENT '类型，FLOW：流程，NOTICE：公告' AFTER id;

ALTER TABLE t_s_job_log CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，FLOW：流程，NOTICE：公告' NOT NULL;

--2023.8.19update
ALTER TABLE t_s_job_remind CHANGE COLUMN approve_operation approve_operation VARCHAR(20)
    COMMENT '审批操作，START：提交，DRAFT：草稿，APPROVE：审批，REJECT：驳回，END：终止，CANCEL：撤销，EXCHANGE：转他人审批，FINISH：结束' NULL;

ALTER TABLE t_s_job_remind CHANGE COLUMN receive_user_id receive_user_id BIGINT
    COMMENT '接收人id' NULL;

ALTER TABLE t_b_project_exchange ADD exchange_no VARCHAR(100)
    COMMENT '变更编号' NULL after crm_no;

INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(23, NULL, 'remind.job.poll.time', '任务提醒轮询时间', '0 0/1 * * * ?', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(24, NULL, 'remind.job.db.limit', '任务提醒查询条数', 'limit 0,100000', NULL, 1, 2, 1, NULL, NULL, NULL);

--2023.8.23update
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(25, NULL, 'sms.notice.code', '系统通知公告', 'SMS_462685325', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(26, NULL, 'sms.sop.before.remind.code', '教务处/研究生SOP提前提醒通知', 'SMS_462660413', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(27, NULL, 'sms.sop.done.code', '教务处/研究生SOP节点负责人通知', 'SMS_462730333', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(28, NULL, 'sms.flow.project.exchange.finish.code', '系统计划变更审核通知', 'SMS_462685324', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(29, NULL, 'sms.flow.ding.exception.finish.code', '异常审核通知', 'SMS_462700329', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(30, NULL, 'sms.sop.after.remind.code', '延期提醒通知', 'SMS_462700328', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(31, NULL, 'sms.violation.remind.code', '违规提醒通知', 'SMS_462720332', NULL, 1, 1, 1, NULL, NULL, NULL);

UPDATE sys_privilege
SET name='待审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017,3019', enable=1, default_auth=0, front_display=1
WHERE id=131;
UPDATE sys_privilege
SET name='待审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017,3019', enable=1, default_auth=0, front_display=1
WHERE id=134;
UPDATE sys_privilege
SET name='已审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017,3020', enable=1, default_auth=0, front_display=1
WHERE id=138;
UPDATE sys_privilege
SET name='已审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017,3020', enable=1, default_auth=0, front_display=1
WHERE id=140;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3019, '考勤异常待审核接口', '/api/admin/ding/exception/apply/flow/task/un_done/list', 'URL', 26, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3020, '考勤异常已审核接口', '/api/admin/ding/exception/apply/flow/task/done/list', 'URL', 26, 3, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='待审核-通过', url='Pass', `type`='LINK', parent_id=27, `sequence`=1, property='AUTH', related='3017,3021', enable=1, default_auth=0, front_display=1
WHERE id=136;
UPDATE sys_privilege
SET name='待审核-拒绝', url='Reject', `type`='LINK', parent_id=27, `sequence`=2, property='AUTH', related='3017,3021', enable=1, default_auth=0, front_display=1
WHERE id=137;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3021, '考勤异常审核接口', '/api/admin/ding/exception/apply/flow/approve', 'URL', 26, 4, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='待审核-批量通过', url='BatchPass', `type`='BUTTON', parent_id=27, `sequence`=1, property='AUTH', related='3017,3022', enable=1, default_auth=0, front_display=1
WHERE id=132;
UPDATE sys_privilege
SET name='待审核-批量拒绝', url='BatchReject', `type`='BUTTON', parent_id=27, `sequence`=2, property='AUTH', related='3017,3022', enable=1, default_auth=0, front_display=1
WHERE id=135;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3022, '考勤异常批量审核接口', '/api/admin/ding/exception/apply/flow/batch/approve', 'URL', 26, 5, 'AUTH', NULL, 1, 1, 0);

--2023.8.24update
UPDATE sys_config
SET org_id=NULL, config_key='sms.notice.code', config_name='系统通知公告', config_value='SMS_462685325', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=25;
UPDATE sys_config
SET org_id=NULL, config_key='sms.flow.project.exchange.finish.code', config_name='系统计划变更审核通知', config_value='SMS_462680680', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=28;
UPDATE sys_config
SET org_id=NULL, config_key='sms.violation.remind.code', config_name='违规提醒通知', config_value='SMS_462805303', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=31;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3023, '获取违规延期预警待办接口', '/api/admin/my/work_bench/warn/list', 'URL', 64, 25, 'SYS', NULL, 1, 1, 0);

ALTER TABLE t_b_project_exchange ADD account_manager_id BIGINT
    COMMENT '客户经理id' NOT NULL after service_id;

ALTER TABLE t_b_project_exchange ADD custom_type VARCHAR(20)
    COMMENT '客户类型，OFFICE：教务处，CLOUD_MARK：云阅卷' NOT NULL after account_manager_id;

ALTER TABLE t_b_project_exchange ADD custom_name VARCHAR(100)
    COMMENT '客户名称' NOT NULL after custom_type;

ALTER TABLE t_b_ding_apply ADD approve VARCHAR(20)
    COMMENT '审批操作，PASS：通过，NO_PASS：不通过' NULL after ding_exception_no;

UPDATE sys_privilege
SET name='待审核-批量不通过', url='BatchNoPass', `type`='BUTTON', parent_id=27, `sequence`=2, property='AUTH', related='3017,3022', enable=1, default_auth=0, front_display=1
WHERE id=135;
UPDATE sys_privilege
SET name='待审核-不通过', url='NoPass', `type`='LINK', parent_id=27, `sequence`=2, property='AUTH', related='3017,3021', enable=1, default_auth=0, front_display=1
WHERE id=137;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3024, '处理完毕', 'Finish', 'LINK', 44, 1, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3025, '项目变更计划申请接口', '/api/admin/project/exchange/save', 'URL', 40, 1, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='计划变更报备', url='ProjectExchange', `type`='LINK', parent_id=41, `sequence`=2, property='AUTH', related='3025', enable=1, default_auth=0, front_display=1
WHERE id=176;
UPDATE sys_privilege
SET name='计划变更报备', url='ProjectExchange', `type`='LINK', parent_id=42, `sequence`=2, property='AUTH', related='3025', enable=1, default_auth=0, front_display=1
WHERE id=185;

--2023.8.25update
DELETE FROM sys_privilege
WHERE id=195;

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=44, `sequence`=1, property='AUTH', related='3026', enable=1, default_auth=0, front_display=1
WHERE id=193;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=44, `sequence`=2, property='AUTH', related='3026', enable=1, default_auth=0, front_display=1
WHERE id=196;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3026, '项目变更计划列表接口', '/api/admin/project/exchange/list', 'URL', 40, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3027, '流程控件查询接口', '/api/admin/widget/flow/select', 'URL', 64, 26, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3028, '控件查询列表接口', '/api/admin/widget/list', 'URL', 64, 27, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3029, '批量结束流程接口', '/api/admin/flow/batch/delete', 'URL', 64, 28, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3030, '项目变更计划审核接口', '/api/admin/project/exchange/flow/approve', 'URL', 40, 3, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3031, '项目变更计划详情接口', '/api/admin/project/exchange/view', 'URL', 40, 4, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='处理申请', url='Finish', `type`='LINK', parent_id=44, `sequence`=1, property='AUTH', related='3030,3031', enable=1, default_auth=0, front_display=1
WHERE id=3024;


ALTER TABLE t_b_project_exchange DROP COLUMN account_manager_id;

ALTER TABLE t_b_project_exchange DROP COLUMN custom_type;

ALTER TABLE t_b_project_exchange DROP COLUMN custom_name;

ALTER TABLE t_b_project_exchange ADD result VARCHAR(20)
    COMMENT '处理结果，FINISH：已完成，NOT_UPDATE：经沟通，取消变更，PARTIAL_UPDATE：经沟通，部分变更' NULL after content_json;

ALTER TABLE t_b_project_exchange ADD remark VARCHAR(500)
    COMMENT '变更备注' NULL after result;

--2023.8.26update
ALTER TABLE sys_custom CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生' NULL;
ALTER TABLE sys_level CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生' NOT NULL;
ALTER TABLE sys_message CHANGE COLUMN type type VARCHAR(20)
    COMMENT '消息类型，BEFORE：提前提醒，AFTER：延期提醒，OFFICE_SOP：教务处SOP，CLOUD_MARK_SOP：研究生SOP，QUALITY：质量问题提醒，EXCEPTION_APPROVE：异常审核提醒，VIOLATION：违规提醒，SYSTEM_PLAN_CHANGE：系统计划变更提醒，SYSTEM：系统公告' NOT NULL;
ALTER TABLE t_b_product CHANGE COLUMN code code VARCHAR(100)
    COMMENT '编码，OFFICE：教务处，CLOUD_MARK：研究生' NOT NULL;
ALTER TABLE t_b_project_exchange CHANGE COLUMN type type VARCHAR(20)
    COMMENT '变更类型，PLAN：项目信息及计划，CANCEL：项目取消' NOT NULL;
ALTER TABLE t_b_service CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生' NOT NULL;
ALTER TABLE t_b_sop_info CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生' NOT NULL;
ALTER TABLE t_f_custom_flow CHANGE COLUMN type type VARCHAR(100)
    COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程' NOT NULL;

--2023.8.28update
ALTER TABLE t_d_form_widget ADD options VARCHAR(500)
    COMMENT '选项值，RADIO或CHECKBOX填此值' NULL after sub_title;
ALTER TABLE t_d_form_widget ADD flow_type VARCHAR(20)
    COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程' NOT NULL after options;
ALTER TABLE t_d_form_widget ADD form_setup INTEGER
    COMMENT '表单步骤' NOT NULL after flow_type;
ALTER TABLE t_d_form_widget ADD handle TINYINT DEFAULT 0
    COMMENT '是否可处理，0：不处理，1：可处理' NOT NULL after form_setup;
ALTER TABLE t_d_form_widget CHANGE COLUMN handle handle_time TINYINT DEFAULT 0
    COMMENT '处理时限，0：不处理，1：可处理' NOT NULL;
ALTER TABLE t_d_form_widget CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，TEXTAREA：文本域，SELECT：下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NULL;

--2023.8.29update
ALTER TABLE t_d_form_widget DROP COLUMN parent_id;
ALTER TABLE t_d_form_widget DROP COLUMN fit;
ALTER TABLE t_d_form_widget DROP COLUMN update_id;
ALTER TABLE t_d_form_widget DROP COLUMN update_time;
ALTER TABLE t_d_table_prop DROP COLUMN update_id;
ALTER TABLE t_d_table_prop DROP COLUMN update_time;

ALTER TABLE t_d_form_widget CHANGE COLUMN input_type input_type VARCHAR(20)
    COMMENT '输入类型，STRING：字符串，INT：整型，LONG：长整型，DOUBLE：浮点型，ENUM：枚举，DATE：日期，BOOL：布尔，BIGDECIMAL：精确浮点，FILE：文件，ARRAY：数组' NULL;

UPDATE sys_config
SET org_id=NULL, config_key='flow.code.length', config_name='流程编码长度', config_value='3', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=19;

CREATE TABLE t_d_form_widget_metadata
(
    type VARCHAR(20)
        COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程' NOT NULL,
    flow_deployment_id VARCHAR(50)
        COMMENT '流程部署id' NOT NULL,
    version INTEGER DEFAULT 1
        COMMENT '版本号' NOT NULL,
    field_id VARCHAR(50)
        COMMENT '字段id' NOT NULL,
    field_name VARCHAR(50)
        COMMENT '字段名称' NOT NULL,
    field_title VARCHAR(50)
        COMMENT '字段标题' NULL,
    create_time BIGINT
        COMMENT '创建时间' NOT NULL
);
ALTER TABLE t_d_form_widget_metadata COMMENT = '动态表单元数据表';

--2023.8.31update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3032, '获取流程待办计数接口', '/api/admin/flow/task/list/count', 'URL', 64, 29, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3033, '获取违规/延期预警待办计数接口', '/api/admin/my/work_bench/warn/list/count', 'URL', 64, 30, 'SYS', NULL, 1, 1, 0);

ALTER TABLE t_d_form_widget_metadata MODIFY COLUMN field_id varchar(100) CHARACTER SET utf8mb4 NOT NULL COMMENT '字段id';
ALTER TABLE t_d_form_widget_metadata MODIFY COLUMN field_name varchar(100) CHARACTER SET utf8mb4 NOT NULL COMMENT '字段名称';

ALTER TABLE t_d_form_widget MODIFY COLUMN form_id varchar(100) CHARACTER SET utf8mb4 NULL COMMENT '表单id';
ALTER TABLE t_d_form_widget MODIFY COLUMN form_name varchar(100) CHARACTER SET utf8mb4 NULL COMMENT '表单名称';
ALTER TABLE t_d_form_widget_metadata ADD field_value MEDIUMTEXT COMMENT '字段值' NULL after field_title;
ALTER TABLE t_d_form_widget_metadata ADD setup INTEGER COMMENT '流程步骤' NOT NULL after field_value;
ALTER TABLE t_d_form_widget_metadata ADD field_check TINYINT DEFAULT 0 COMMENT '是否勾选，0：未勾选，1：勾选' NOT NULL after setup;

ALTER TABLE t_d_form_widget_metadata ADD code VARCHAR(20) COMMENT '编码，TEXT：文本，TEXTAREA：文本域，SELECT：下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NOT NULL after version;

ALTER TABLE t_b_sop_info CHANGE COLUMN type type VARCHAR(20) COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP' NOT NULL;

ALTER TABLE t_b_sop_info DROP COLUMN project_name;

ALTER TABLE t_b_sop_info CHANGE COLUMN project_id product_id BIGINT COMMENT '产品id' NOT NULL;

ALTER TABLE t_b_sop_info DROP COLUMN user_id;

ALTER TABLE t_d_form_widget CHANGE COLUMN code code VARCHAR(20) COMMENT '编码，TEXT：文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NULL;

ALTER TABLE t_d_form_widget_metadata CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，TEXTAREA：文本域，编码，TEXT：文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NOT NULL;

ALTER TABLE t_b_sop_info DROP COLUMN college_name;
ALTER TABLE t_b_sop_info DROP COLUMN region_user_id;
ALTER TABLE t_b_sop_info DROP COLUMN cloud_mark_user_id;

CREATE TABLE t_b_sop_info_detail
(
    id BIGINT
        COMMENT '主键' NOT NULL,
    sop_info_id BIGINT
        COMMENT 'sop信息id' NOT NULL,
    region_user_id BIGINT
        COMMENT '区域负责人id' NOT NULL,
    engineer_user_id BIGINT
        COMMENT '实施工程师id' NOT NULL,
    assistant_engineer_user_ids VARCHAR(500)
        COMMENT '助理实施工程师id数组' NULL,
    PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sop明细表';

ALTER TABLE t_d_form_widget_metadata DROP COLUMN field_value;

--2023.9.1update
ALTER TABLE t_d_form_widget CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，NUMBER：数字文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NULL;

ALTER TABLE t_d_form_widget_metadata CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，NUMBER：数字文本，TEXTAREA：文本域，编码，TEXT：文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NOT NULL;

ALTER TABLE t_d_form_widget DROP COLUMN value;

ALTER TABLE t_f_custom_flow_entity CHANGE COLUMN code code VARCHAR(30) COMMENT '编号' NOT NULL;

--2023.9.2update
ALTER TABLE t_d_form_widget_metadata ADD change_join TINYINT COMMENT '是否是项目计划变更关联字段，0：不是，1：是' NULL after setup;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3034, 'sop元数据查询接口', '/api/admin/sop/metadata/list', 'URL', 40, 5, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3035, 'sop元数据修改接口', '/api/admin/sop/metadata/save', 'URL', 40, 5, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='教务处SOP管理', url='office', `type`='MENU', parent_id=40, `sequence`=1, property=NULL, related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=41;
UPDATE sys_privilege
SET name='云阅卷SOP管理', url='cloudMark', `type`='MENU', parent_id=40, `sequence`=2, property=NULL, related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=42;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=41, `sequence`=1, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=171;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=41, `sequence`=1, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=172;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=41, `sequence`=2, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=174;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=42, `sequence`=1, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=180;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=42, `sequence`=1, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=181;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=42, `sequence`=2, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=183;


ALTER TABLE t_d_form_widget_metadata ADD id BIGINT
    COMMENT '主键' NOT NULL first;

ALTER TABLE t_d_form_widget_metadata ADD CONSTRAINT pkt_d_form_widget_metadata
    PRIMARY KEY (id);

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3036, '获取流程版本信息接口', '/api/admin/flow/version/list', 'URL', 64, 31, 'SYS', NULL, 1, 1, 0);

--2023.9.4update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3037, '编辑', 'Edit', 'LINK', 41, 6, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3038, '作废', 'Cancel', 'LINK', 41, 7, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3039, '编辑', 'Edit', 'LINK', 42, 6, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3040, '作废', 'Cancel', 'LINK', 42, 7, 'AUTH', NULL, 1, 0, 1);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=41, `sequence`=1, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=171;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=41, `sequence`=1, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=172;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=41, `sequence`=2, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=174;
UPDATE sys_privilege
SET name='填报', url='Fill', `type`='LINK', parent_id=41, `sequence`=1, property='AUTH', related='3042', enable=1, default_auth=0, front_display=1
WHERE id=175;
UPDATE sys_privilege
SET name='新增SOP', url='AddSop', `type`='LINK', parent_id=41, `sequence`=3, property='AUTH', related='3041', enable=1, default_auth=0, front_display=1
WHERE id=177;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=42, `sequence`=1, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=180;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=42, `sequence`=1, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=181;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=42, `sequence`=2, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=183;
UPDATE sys_privilege
SET name='填报', url='Fill', `type`='LINK', parent_id=42, `sequence`=1, property='AUTH', related='3042', enable=1, default_auth=0, front_display=1
WHERE id=184;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3041, 'sop申请接口', '/api/admin/sop/apply', 'URL', 40, 6, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3042, 'sop填报接口', '/api/admin/sop/approve', 'URL', 40, 7, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3043, 'sop列表接口', '/api/admin/sop/list', 'URL', 40, 8, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=21, `sequence`=1, property='AUTH', related='1031,3044', enable=1, default_auth=0, front_display=1
WHERE id=127;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=21, `sequence`=1, property='AUTH', related='1029,3044', enable=1, default_auth=0, front_display=1
WHERE id=128;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=21, `sequence`=1, property='AUTH', related='3044', enable=1, default_auth=0, front_display=1
WHERE id=129;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=21, `sequence`=2, property='AUTH', related='1030,3044', enable=1, default_auth=0, front_display=1
WHERE id=130;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3044, '质量问题反馈审核', '/api/admin/tb/quality/problem/apply/approve', 'URL', 21, 2, 'AUTH', NULL, 1, 1, 0);

--2023.9.5update
ALTER TABLE t_b_project_exchange MODIFY COLUMN enable tinyint DEFAULT 1 NOT NULL COMMENT '是否启用，0：停用，1：启用';

--2023.9.6update
ALTER TABLE t_b_sop_info_detail ADD lead_id BIGINT COMMENT '大区经理id' NOT NULL after sop_info_id;

ALTER TABLE t_b_sop_info_detail CHANGE COLUMN region_user_id region_user_id BIGINT
    COMMENT '区域负责人id' NULL;

ALTER TABLE t_b_sop_info_detail CHANGE COLUMN engineer_user_id engineer_user_id BIGINT
    COMMENT '实施工程师id' NULL;

--2023.9.7update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3045, 'sop作废', '/api/admin/sop/cancel', 'URL', 40, 9, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3046, 'sop批量作废', '/api/admin/sop/batch/cancel', 'URL', 40, 10, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=41, `sequence`=1, property='AUTH', related='3046', enable=1, default_auth=0, front_display=1
WHERE id=173;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=42, `sequence`=1, property='AUTH', related='3046', enable=1, default_auth=0, front_display=1
WHERE id=182;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='LINK', parent_id=41, `sequence`=7, property='AUTH', related='3045', enable=1, default_auth=0, front_display=1
WHERE id=3038;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='LINK', parent_id=42, `sequence`=7, property='AUTH', related='3045', enable=1, default_auth=0, front_display=1
WHERE id=3040;

UPDATE sys_privilege
SET name='结束流程接口', url='/api/admin/flow/delete', `type`='URL', parent_id=64, `sequence`=16, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3003;
UPDATE sys_privilege
SET name='批量结束流程接口', url='/api/admin/flow/batch/delete', `type`='URL', parent_id=64, `sequence`=28, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3029;

--2023.9.9update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3047, 'sop编辑', '/api/admin/sop/edit', 'URL', 40, 11, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3048, 'sop保存 ', '/api/admin/sop/save', 'URL', 40, 12, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='编辑', url='Edit', `type`='LINK', parent_id=41, `sequence`=6, property='AUTH', related='3047,3048', enable=1, default_auth=0, front_display=1
WHERE id=3037;
UPDATE sys_privilege
SET name='编辑', url='Edit', `type`='LINK', parent_id=42, `sequence`=6, property='AUTH', related='3047,3048', enable=1, default_auth=0, front_display=1
WHERE id=3039;

--2023.9.13update
UPDATE sys_privilege
SET name='新增违规 ', url='AddViolation', `type`='LINK', parent_id=41, `sequence`=4, property='AUTH', related='1025', enable=1, default_auth=0, front_display=1
WHERE id=178;
UPDATE sys_privilege
SET name='新增违规 ', url='AddViolation', `type`='LINK', parent_id=42, `sequence`=3, property='AUTH', related='1025', enable=1, default_auth=0, front_display=1
WHERE id=186;

ALTER TABLE t_d_form_widget CHANGE COLUMN handle_time handle TINYINT DEFAULT 0
    COMMENT '处理时限，0：不处理，1：可处理' NOT NULL;

UPDATE sys_privilege
SET name='重启', url='Restart', `type`='LINK', parent_id=47, `sequence`=3, property='AUTH', related='1016', enable=1, default_auth=0, front_display=1
WHERE id=202;

UPDATE sys_privilege
SET name='考勤明细查询', url='dingDetail', `type`='MENU', parent_id=25, `sequence`=1, property=NULL, related='1041,1042,1043', enable=1, default_auth=0, front_display=1
WHERE id=1044;

--2023.9.15update
INSERT INTO `sys_config` VALUES (32, NULL, 'wxapp.appid', '微信appId', 'wx8b4c77de1b6f387b', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (33, NULL, 'wxapp.request.url', '微信请求url', 'https://api.weixin.qq.com/sns/jscode2session', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (34, NULL, 'wxapp.phone.bind.new.url', '微信手机号绑定url（新）', 'https://api.weixin.qq.com/wxa/business/getuserphonenumber?access_token=', NULL, 1, 1, 1, NULL, NULL, NULL);

CREATE TABLE t_wxapp_info
(
    open_id VARCHAR(100)
        COMMENT 'openId' NOT NULL,
    phone VARCHAR(30)
        COMMENT '手机号' NOT NULL
);

ALTER TABLE t_wxapp_info ADD CONSTRAINT pkt_wxapp_info
    PRIMARY KEY (open_id);

/* Add Comments */
ALTER TABLE t_wxapp_info COMMENT = '微信信息表';

/* Build Table Structure */
CREATE TABLE t_wxapp_access_token
(
    access_token VARCHAR(100)
        COMMENT 'token' NOT NULL,
    expires_time BIGINT
        COMMENT '过期时间' NOT NULL
);

/* Add Comments */
ALTER TABLE t_wxapp_access_token COMMENT = '微信token表';

--2023.9.18update
UPDATE sys_privilege
SET name='研究生SOP管理', url='cloudMark', `type`='MENU', parent_id=40, `sequence`=2, property=NULL, related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=42;

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=21, `sequence`=1, property='AUTH', related='1031,3044,1030', enable=1, default_auth=0, front_display=1
WHERE id=127;

UPDATE sys_privilege
SET name='启用/禁用', url='Enable', `type`='LINK', parent_id=15, `sequence`=2, property='AUTH', related='284', enable=1, default_auth=0, front_display=1
WHERE id=121;

INSERT INTO sys_role
(id, org_id, name, enable, `type`, create_id, create_time, update_id, update_time, default_role, interpret)
VALUES(11, NULL, '乙方总负责人', 1, 'THIRD_PMO', NULL, NULL, NULL, NULL, 1, '系统角色');

--2023.9.19update
DROP TABLE IF EXISTS t_wxapp_access_token;

ALTER TABLE t_wxapp_info DROP PRIMARY KEY;

ALTER TABLE t_wxapp_info ADD id BIGINT
    COMMENT '主键' NOT NULL first;

ALTER TABLE t_wxapp_info ADD CONSTRAINT pkt_wxapp_info
    PRIMARY KEY (id);

--2023.9.20update
UPDATE sys_privilege
SET name='批量启用', url='BatchEnable', `type`='BUTTON', parent_id=5, `sequence`=4, property='AUTH', related='1045', enable=1, default_auth=0, front_display=1
WHERE id=1048;
UPDATE sys_privilege
SET name='批量禁用', url='BatchUnEnable', `type`='BUTTON', parent_id=5, `sequence`=5, property='AUTH', related='272', enable=1, default_auth=0, front_display=1
WHERE id=1049;
UPDATE sys_privilege
SET name='批量导入', url='BatchImport', `type`='BUTTON', parent_id=5, `sequence`=6, property='AUTH', related='1046', enable=1, default_auth=0, front_display=1
WHERE id=1050;

UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_user_id', form_name='region_user_id', title='区域协调人', input_type='STRING', required=1, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, create_id=1, create_time=1
WHERE id=28;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_user_id', form_name='region_user_id', title='区域协调人', input_type='STRING', required=1, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, create_id=1, create_time=1
WHERE id=104;

UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, create_id=1, create_time=1
WHERE id=108;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, create_id=1, create_time=1
WHERE id=109;

UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, create_id=1, create_time=1
WHERE id=32;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, create_id=1, create_time=1
WHERE id=33;

--2023.9.21update
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title', form_name='inside_title', title='项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, create_id=1, create_time=1
WHERE id=51;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title', form_name='inside_title', title='项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=4, handle=0, create_id=1, create_time=1
WHERE id=88;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title', form_name='inside_title', title='项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, create_id=1, create_time=1
WHERE id=133;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title', form_name='inside_title', title='项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, create_id=1, create_time=1
WHERE id=137;

INSERT INTO `sequence`
(name, current_value, `increment`)
VALUES('delayWarn', 0, 1);

UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='manual_code_cb', form_name='manual_code_cb', title='手工输入条码确认', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"true","label":"“数据检查“'' -“人工确认“，“确认完成“"}]', flow_type='OFFICE_SOP_FLOW', form_setup=8, handle=0, create_id=1, create_time=1
WHERE id=77;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='manual_bar_code_cb', form_name='manual_bar_code_cb', title='手工输入条码确认', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"1","label":"“数据检查”-“人工确认”，”确认已完成”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, create_id=1, create_time=1
WHERE id=157;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='bar_code_full_cb', form_name='bar_code_full_cb', title='条码数量完整性检查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"“缺页异常”查询需无数据“"},{"value":"2","label":"“无条码考生”查询需无数据“"},{"value":"3","label":"“追加题卡”需和学校记录一致“"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, create_id=1, create_time=1
WHERE id=160;

--2023.9.22update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3049, '审核', 'Approve', 'LINK', 21, 1, 'AUTH', '1030,3044', 1, 0, 1);

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3050, '获取所有用户（动态表单用）接口', '/api/admin/common/get_user_list/form_widget', 'URL', 64, 32, 'SYS', NULL, 1, 1, 0);

UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='problem_users', form_name='problem_users', title='责任人', input_type='ARRAY', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/common/get_user_list/form_widget?userSource=ALL', tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='QUALITY_PROBLEM_FLOW', form_setup=2, handle=0, create_id=1, create_time=1
WHERE id=9;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='approve_check_users', form_name='approve_check_users', title='甲方复审人员', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/common/get_user_list/form_widget?userSource=SYSTEM', tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='QUALITY_PROBLEM_FLOW', form_setup=2, handle=0, create_id=1, create_time=1
WHERE id=10;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='approve_check_third_users', form_name='approve_check_third_users', title='乙方复审人员', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/common/get_user_list/form_widget?userSource=SYSTEM', tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='QUALITY_PROBLEM_FLOW', form_setup=2, handle=0, create_id=1, create_time=1
WHERE id=11;

ALTER TABLE t_d_form_widget CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，NUMBER：数字文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NULL;

ALTER TABLE t_d_form_widget_metadata CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，NUMBER：数字文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NOT NULL;

--2023.9.25update
ALTER TABLE t_b_ding_apply CHANGE COLUMN ding_id ding_id BIGINT
    COMMENT '考勤id' NULL;

UPDATE sys_privilege
SET name='查询可入库的设备信息', url='/api/admin/device/in/out/can_in_info', `type`='URL', parent_id=43, `sequence`=3, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=2034;

--2023.9.26update
ALTER TABLE t_b_sop_info ADD status VARCHAR(20)
    COMMENT '状态，DRAFT：草稿，START：提交' NOT NULL after type;

ALTER TABLE t_d_form_widget ADD form_group INTEGER
    COMMENT '控件组' NULL after handle;

ALTER TABLE t_d_form_widget ADD role_type VARCHAR(20)
    COMMENT '角色类型' NULL after form_group;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_basic_info_title', form_name='project_basic_info_title', title='项目基本信息', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=18;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='course_count', form_name='course_count', title='科目数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=19;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='exam_student_course_count', form_name='exam_student_course_count', title='考生科次', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=20;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='scan_count', form_name='scan_count', title='扫描仪数量(台)', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=21;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='week_people_day', form_name='week_people_day', title='现场标准服务周期（人天）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=22;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='exam_student_Internal_date', form_name='exam_student_Internal_date', title='考生数据内部交接时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=23;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='exam_plan_date', form_name='exam_plan_date', title='考试时间安排表获取时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=24;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='project_key_info_date', form_name='project_key_info_date', title='项目关键信息提交截止时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=25;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='service_finish_plan_date', form_name='service_finish_plan_date', title='现场服务完成撤场计划时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=26;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_people_plan_title', form_name='project_people_plan_title', title='项目人员安排及风险预估', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=27;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_user_id', form_name='region_user_id', title='区域协调人', input_type='STRING', required=1, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=28;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='engineer_user_id', form_name='engineer_user_id', title='实施工程师', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=29;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='assistant_engineer_user_id', form_name='assistant_engineer_user_id', title='助理实施工程师', input_type='ARRAY', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=30;
UPDATE t_d_form_widget
SET code='ONLE_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=31;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=32;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=33;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=34;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=35;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=36;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=37;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=38;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=39;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=40;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='cloud_mark_title', form_name='cloud_mark_title', title='云阅卷（填写前请先认真查阅移交的项目初审及项目基本信息）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=41;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='deploy_way_radio', form_name='deploy_way_radio', title='部署方式', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"ONLINE","label":"线上部署"},{"value":"LOCAL","label":"本地部署"}]', flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=42;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='mark_way_radio', form_name='mark_way_radio', title='阅卷方式', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"TOGETHER","label":"集中阅卷"},{"value":"ANYTIME","label":"分散阅卷"}]', flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=43;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='scan_net_radio', form_name='scan_net_radio', title='扫描场地网络情况', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"INTERNET","label":"提供外网"},{"value":"LOCALHOST","label":"不提供外网"}]', flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=44;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='scan_start_time', form_name='scan_start_time', title='扫描开始时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=45;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='scan_end_time', form_name='scan_end_time', title='扫描结束时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=46;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_start_time', form_name='mark_start_time', title='评卷开始时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=47;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_end_time', form_name='mark_end_time', title='评卷结束时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=48;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='remark', form_name='remark', title='其它特殊要求', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=49;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='exam_plan_photos', form_name='exam_plan_photos', title='考试时间安排表拍照上传', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=50;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title_region', form_name='inside_title_region', title='大区经理项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=1, role_type='REGION_MANAGER', create_id=1, create_time=1
WHERE id=51;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='approve_radio_region', form_name='approve_radio_region', title='我对以上项目关键信息已审核，确认内容无误：', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"同意"},{"value":"0","label":"不同意"}]', flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=1, role_type='REGION_MANAGER', create_id=1, create_time=1
WHERE id=52;
UPDATE t_d_form_widget
SET code='SIGN', `type`='FORM', form_id='sign_region', form_name='sign_region', title='添加签名', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=1, role_type='REGION_MANAGER', create_id=1, create_time=1
WHERE id=53;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='approve_remark_region', form_name='approve_remark_region', title='审批意见', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=1, role_type='REGION_MANAGER', create_id=1, create_time=1
WHERE id=54;
UPDATE t_d_form_widget
SET code='ONLE_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备出库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=55;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_out_time', form_name='device_out_time', title='设备出库时间', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=56;
UPDATE t_d_form_widget
SET code='DEVICE_OUT_TABLE', `type`='FORM', form_id='device_out_table', form_name='device_out_table', title='设备出库表格', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=57;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='import_data_title', form_name='import_data_title', title='导入数据', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=58;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='data_same', form_name='data_same', title='导入数据', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"true","label":"导入数据与原始数据是否一致"}]', flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=59;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='import_exam_student_count', form_name='import_exam_student_count', title='导入考生数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=60;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='scan_set_title', form_name='scan_set_title', title='扫描仪设置', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=61;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='scan_set_cb', form_name='scan_set_cb', title='扫描仪设置', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、扫描仪分辨率设置是否150、扫描模式是否双面、图像类型是否灰度"},{"value":"2","label":"2、选择“扫描模式”-“设置”-“装订边缘”-“上”"}]', flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=62;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='card_format_title', form_name='card_format_title', title='卡格式制作', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=63;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='card_format_cb', form_name='card_format_cb', title='卡格式制作', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、定位点、校验点是否制作"},{"value":"2","label":"2、缺考区域是否框选"},{"value":"3","label":"3、客观题区域是否正确框选、行列以及单选多选是否正确"},{"value":"4","label":"4、条码识别区是否制作"},{"value":"5","label":"5、屏蔽区是否制作"},{"value":"6","label":"6、卷型：若有，则框选"},{"value":"7","label":"7、页码：若答题卡超过1张，则框选"}]', flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=64;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='scan_test_title', form_name='scan_test_title', title='试扫检查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=65;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='scan_test_cb', form_name='scan_test_cb', title='试扫检查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、查看条码是否识别正确"},{"value":"2","label":"2、缺考、客观题是否识别正确"},{"value":"3","label":"3、扫描原图正反面是否正确显示"},{"value":"4","label":"4、裁切图屏蔽区是否正确"},{"value":"5","label":"5、卷型：若有，是否识别正确"},{"value":"6","label":"6、页码：若答题卡超过1张，是否页码识别正确"}]', flow_type='OFFICE_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=66;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='un_upload_exam_student_title', form_name='un_upload_exam_student_title', title='未上传考生核对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=67;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='un_upload_exam_student_cb', form_name='un_upload_exam_student_cb', title='未上传考生核对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=9, sub_title=NULL, `options`='[{"value":"1","label":"1、未上传考生是否与签到表进行核对，是否为缺考、违纪、免考等情况"},{"value":"2","label":"2、是否将未上传考生发给学校确认"}]', flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=68;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='finish_count', form_name='finish_count', title='完成数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=69;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_file_un_upload_exam_student_photo', form_name='upload_file_un_upload_exam_student_photo', title='上传学校未上传考生沟通确认截图', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=70;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='Identify_title', form_name='Identify_title', title='识别对照', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=71;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='Identify_cb', form_name='Identify_cb', title='识别对照', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"true","label":"是否将客观题识别异常的全部人工修改处理"}]', flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=72;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='absent_exam_student_title', form_name='absent_exam_student_title', title='缺考名单比对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=73;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='absent_exam_student_cb', form_name='absent_exam_student_cb', title='缺考名单比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"true","label":"核对未上传条数是否与学校提供的缺考名单吻合，人工指定为缺考（考生管理>导入名单>导入缺考名单）"}]', flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=74;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='absent_count', form_name='absent_count', title='缺考科次数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=75;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='manual_code_title', form_name='manual_code_title', title='手工输入条码确认', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=76;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='manual_code_cb', form_name='manual_code_cb', title='手工输入条码确认', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"true","label":"“数据检查“'' -“人工确认“，“确认完成“"}]', flow_type='OFFICE_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=77;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_model_title', form_name='mark_model_title', title='评卷模式确认', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=78;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='mark_model_radio', form_name='mark_model_radio', title='评卷模式', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"TRAIL","label":"轨迹模式"},{"value":"NORMAL","label":"普通模式"}]', flow_type='OFFICE_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=79;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_params_title', form_name='mark_params_title', title='评卷参数核对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=80;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_params_cb', form_name='mark_params_cb', title='评卷参数核对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核查每个科目的满分是否正确（大部分科目都是100分）"},{"value":"2","label":"2、核对客观题标答以及分数是否录入正确、多选题判分规则（漏选是否得分、任选得分）"},{"value":"3","label":"检查所有科目结构和分组是否全部导入。（评卷管理>评卷进度查看分组状态）"}]', flow_type='OFFICE_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=81;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_submit_title', form_name='mark_submit_title', title='成绩提交核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=82;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_submit_cb', form_name='mark_submit_cb', title='成绩提交核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、是否已核对不缺考、客观题为0分的情况"},{"value":"2","label":"2、是否已核对主观题为0、客观题有分的情况"},{"value":"3","label":"3、是否检查客观题小题得分率低于20%的情况"},{"value":"4","label":"4、核对导出成绩表数据条数是否与考生表数量一致，不能带有“未导出全量数据”字样；请填写导出成绩数量以及完成时间"},{"value":"5","label":"5、核对导出图片工具是否正常运行"}]', flow_type='OFFICE_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=83;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_success_photos', form_name='upload_success_photos', title='上传验收报告(纸质)拍照', input_type='ARRAY', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=84;
UPDATE t_d_form_widget
SET code='ONLE_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备入库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=85;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_in_time', form_name='device_in_time', title='设备入库时间', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=86;
UPDATE t_d_form_widget
SET code='DEVICE_IN_TABLE', `type`='FORM', form_id='device_in_table', form_name='device_in_table', title='设备入库表格', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=87;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title_engineer', form_name='inside_title_engineer', title='工程师项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='EFFECT_ENGINEER', create_id=1, create_time=1
WHERE id=88;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='approve_radio_engineer', form_name='approve_radio_engineer', title='我对以上项目关键信息已审核，确认内容无误：', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"同意"},{"value":"0","label":"不同意"}]', flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='EFFECT_ENGINEER', create_id=1, create_time=1
WHERE id=89;
UPDATE t_d_form_widget
SET code='SIGN', `type`='FORM', form_id='sign_engineer', form_name='sign_engineer', title='添加签名', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='EFFECT_ENGINEER', create_id=1, create_time=1
WHERE id=90;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='approve_remark_engineer', form_name='approve_remark_engineer', title='审批意见', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='EFFECT_ENGINEER', create_id=1, create_time=1
WHERE id=91;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_basic_info_title', form_name='project_basic_info_title', title='项目基本信息', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=92;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='course_count', form_name='course_count', title='科目数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=93;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='exam_student_course_count', form_name='exam_student_course_count', title='考生科次', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=94;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='bar_code_paper_count', form_name='bar_code_paper_count', title='条码标准张数', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"3","label":"3张"},{"value":"4","label":"4张"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=95;
UPDATE t_d_form_widget
SET code='RADIO_WITH_INPUT', `type`='FORM', form_id='bar_code_paste_way', form_name='bar_code_paste_way', title='条码粘贴方式', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"EXAM_STUDENT","label":"考生自贴/数码印刷"},{"value":"PAPER","label":"回卷后粘贴"},{"value":"OTHER","label":"其它"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=96;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='has_objective_card', form_name='has_objective_card', title='有无客观题卡', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"HAVA","label":"有"},{"value":"NOT_HAVA","label":"无"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=97;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='scan_count', form_name='scan_count', title='扫描仪数量(台)', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=98;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='exam_student_Internal_date', form_name='exam_student_Internal_date', title='考生数据内部交接时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=99;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='week_people_day', form_name='week_people_day', title='现场标准服务周期（人天）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=100;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='project_key_info_date', form_name='project_key_info_date', title='项目关键信息提交截止时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=101;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='service_finish_plan_date', form_name='service_finish_plan_date', title='现场服务完成撤场计划时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=102;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_people_plan_title', form_name='project_people_plan_title', title='项目人员安排及风险预估', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=103;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_user_id', form_name='region_user_id', title='区域协调人', input_type='STRING', required=1, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=104;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='engineer_user_id', form_name='engineer_user_id', title='实施工程师', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=105;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='assistant_engineer_user_id', form_name='assistant_engineer_user_id', title='助理实施工程师', input_type='ARRAY', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=106;
UPDATE t_d_form_widget
SET code='ONLE_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=107;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=108;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=109;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=110;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=111;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=112;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=113;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=114;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=115;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=116;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='cloud_mark_title', form_name='cloud_mark_title', title='云阅卷（填写前请先认真查阅移交的项目初审及项目基本信息）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=117;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='run_env_accord', form_name='run_env_accord', title='运行环境调研是否符合要求', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"ACCORD","label":"符合"},{"value":"UN_ACCORD","label":"不符合"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=118;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='env_deployment_time', form_name='env_deployment_time', title='环境部署时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=119;
UPDATE t_d_form_widget
SET code='LABEL', `type`='FORM', form_id='env_list_label', form_name='env_list_label', title='[{"label":"参照《软硬件准备检查清单》对学校进行调研","color":"blue"}]', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=120;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='scan_start_time', form_name='scan_start_time', title='扫描开始时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=121;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='scan_end_time', form_name='scan_end_time', title='扫描结束时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=122;
UPDATE t_d_form_widget
SET code='LABEL', `type`='FORM', form_id='unite_label', form_name='unite_label', title='[{"label":"统一元旦后安排进场","color":"blue"}]', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=123;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_room_check_time', form_name='mark_room_check_time', title='评卷机房检查时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=124;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='mark_room_count', form_name='mark_room_count', title='评卷机房数量（个）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=125;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='max_mark_teacher_count', form_name='max_mark_teacher_count', title='最大评卷教师数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=126;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_param_time', form_name='mark_param_time', title='评卷参数提供时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=127;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_start_time', form_name='mark_start_time', title='评卷开始时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=128;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_end_time', form_name='mark_end_time', title='评卷结束时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=129;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='choose_course_count', form_name='choose_course_count', title='有选做题的科目数量（门）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=130;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='ramark', form_name='ramark', title='其它特殊要求', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=131;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='project_info_photos', form_name='project_info_photos', title='上传项目关键信息表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=3, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=132;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title_region', form_name='inside_title_region', title='大区经理项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=1, role_type='REGION_MANAGER', create_id=1, create_time=1
WHERE id=133;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='approve_radio_region', form_name='approve_radio_region', title='我对以上项目关键信息已审核，确认内容无误：', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"同意"},{"value":"0","label":"不同意"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=1, role_type='REGION_MANAGER', create_id=1, create_time=1
WHERE id=134;
UPDATE t_d_form_widget
SET code='SIGN', `type`='FORM', form_id='sign_region', form_name='sign_region', title='添加签名', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=1, role_type='REGION_MANAGER', create_id=1, create_time=1
WHERE id=135;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='approve_ramark_region', form_name='approve_ramark_region', title='审批意见', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=1, role_type='REGION_MANAGER', create_id=1, create_time=1
WHERE id=136;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title_engineer', form_name='inside_title_engineer', title='工程师项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='EFFECT_ENGINEER', create_id=1, create_time=1
WHERE id=137;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='approve_radio_engineer', form_name='approve_radio_engineer', title='我对以上项目关键信息已审核，确认内容无误：', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"同意"},{"value":"0","label":"不同意"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='EFFECT_ENGINEER', create_id=1, create_time=1
WHERE id=138;
UPDATE t_d_form_widget
SET code='SIGN', `type`='FORM', form_id='sign_engineer', form_name='sign_engineer', title='添加签名', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='EFFECT_ENGINEER', create_id=1, create_time=1
WHERE id=139;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='approve_ramark_engineer', form_name='approve_ramark_engineer', title='审批意见', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='EFFECT_ENGINEER', create_id=1, create_time=1
WHERE id=140;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='upload_list_title', form_name='upload_list_title', title='上传清单和报告', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=141;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_env_photos', form_name='upload_env_photos', title='上传《软硬件准备检查清单》拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=142;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_env_test_photos', form_name='upload_env_test_photos', title='上传《现场环境测试报告》拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=143;
UPDATE t_d_form_widget
SET code='ONLE_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备出库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=144;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_out_time', form_name='device_out_time', title='设备出库时间', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=145;
UPDATE t_d_form_widget
SET code='DEVICE_OUT_TABLE', `type`='FORM', form_id='device_out_table', form_name='device_out_table', title='设备出库表格', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=146;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='import_data_title', form_name='import_data_title', title='导入数据', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=147;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='data_same', form_name='data_same', title='导入数据', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"true","label":"导入数据与原始数据是否一致"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=148;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='import_exam_student_count', form_name='import_exam_student_count', title='导入考生数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=149;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='scan_set_title', form_name='scan_set_title', title='扫描仪设置', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=150;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='scan_set_cb', form_name='scan_set_cb', title='扫描仪设置', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、扫描仪分辨率设置是150"},{"value":"2","label":"2、是否勾选“自动剪切”，“纠正歪斜”"},{"value":"3","label":"3、是否勾选“边界去除”"},{"value":"4","label":"4、勾选“双张进纸检测”-“有效”-动作“停止”"},{"value":"5","label":"5、爱普生型号，选择“扫描模式”-“设置”-“装订边缘”-“上”"},{"value":"6","label":"6、华高扫描仪型号，检查背面图像；如背面图像倒转，则勾选“背面旋转180°”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=151;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='card_format_title', form_name='card_format_title', title='卡格式制作', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=152;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='card_format_cb', form_name='card_format_cb', title='卡格式制作', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、条码遮挡区、考生信息遮挡区需沿装订线框选"},{"value":"2","label":"2、扫描原图正反面检查是否正确"},{"value":"3","label":"3、扫描裁切图屏蔽区检查是否正确"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=153;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_list_title', form_name='paper_list_title', title='纸质检查表上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=154;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_check_photos', form_name='paper_check_photos', title='上传关键节点检查(纸质)表单拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=155;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='manual_bar_code_title', form_name='manual_bar_code_title', title='手工输入条码确认', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=156;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='manual_bar_code_cb', form_name='manual_bar_code_cb', title='手工输入条码确认', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"1","label":"“数据检查”-“人工确认”，”确认已完成”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=157;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='complete_count', form_name='complete_count', title='完成数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=158;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='bar_code_full_title', form_name='bar_code_full_title', title='条码数量完整性检查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=159;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='bar_code_full_cb', form_name='bar_code_full_cb', title='条码数量完整性检查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"“缺页异常”查询需无数据“"},{"value":"2","label":"“无条码考生”查询需无数据“"},{"value":"3","label":"“追加题卡”需和学校记录一致“"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=160;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='missing_list_title', form_name='missing_list_title', title='缺考名单比对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=161;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='missing_list_cb', form_name='missing_list_cb', title='缺考名单比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"核对未上传条数是否与学校提供的缺考名单吻合，人工指定为缺考（考生管理>导入名单>导入缺考名单）"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=162;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='missing_course_count', form_name='missing_course_count', title='缺考科次数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=163;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=164;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='school_sign_radio', form_name='school_sign_radio', title='学校是否确认签字', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"YES","label":"是"},{"value":"NO","label":"否"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=165;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=4, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=166;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_param_check_title', form_name='mark_param_check_title', title='评卷参数核对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=167;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_param_check_cb', form_name='mark_param_check_cb', title='评卷参数核对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核查每个科目的满分是否正确(100分、150分、300分)"},{"value":"2","label":"2、检查所有科目结构和分组是否全部导入。（评卷管理>评卷进度查看分组状态）"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=168;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=169;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=3, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=170;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='score_check_title', form_name='score_check_title', title='分数复核', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=171;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='score_check_cb', form_name='score_check_cb', title='分数复核', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"是否建议学校复核小题0分，大题0分，全卷0分的情况"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=172;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='school_score_check_radio', form_name='school_score_check_radio', title='学校是否选择复核', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"YES","label":"复核(推荐)"},{"value":"NO","label":"不复核","remark":[{"content":"若选择该项，则需要学校签字确认，签字随关键节点检查表上传","color":"red"}]}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=173;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=175;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=2, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=176;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_progress_title', form_name='mark_progress_title', title='评卷进度核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=177;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_progress_cb', form_name='mark_progress_cb', title='评卷进度核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对评卷进度是否为100%"},{"value":"2","label":"2、核对未评数量是否为0"},{"value":"3","label":"3、问题卷是否处理完成"},{"value":"4","label":"4、所有科目状态点击“结束”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=178;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='cross_check_title', form_name='cross_check_title', title='交叉比对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=179;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='cross_check_cb', form_name='cross_check_cb', title='交叉比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"是否建议学校进行同一考生多科目分数交叉比对"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=180;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_submit_title', form_name='mark_submit_title', title='成绩提交核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=181;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_submit_cb', form_name='mark_submit_cb', title='成绩提交核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对导出成绩表数据条数是否与考生表数量一致，不能带有“未导出全量数据”字样"},{"value":"2","label":"2、核对导出图片工具是否正常运行"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=182;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='export_score_count', form_name='export_score_count', title='导出成绩数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=183;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_check_report_photos', form_name='upload_check_report_photos', title='上传验收报告(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=184;
UPDATE t_d_form_widget
SET code='ONLE_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备入库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=11, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=185;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_in_time', form_name='device_in_time', title='设备入库时间', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=11, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=186;
UPDATE t_d_form_widget
SET code='DEVICE_IN_TABLE', `type`='FORM', form_id='device_in_table', form_name='device_in_table', title='设备入库表格', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=11, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=187;

--2023.10.08update
ALTER TABLE sys_user DROP INDEX sys_user_UN_moblie_number;
ALTER TABLE sys_user ADD CONSTRAINT sys_user_UN_moblie_number UNIQUE KEY (mobile_number);
ALTER TABLE sys_user DROP KEY sys_user_UN_login_name;
ALTER TABLE sys_user ADD CONSTRAINT sys_user_UN_login_name UNIQUE KEY (login_name);

--2023.10.09update
UPDATE sys_privilege
SET name='初始化密码', url='InitPwd', `type`='LINK', parent_id=15, `sequence`=3, property=NULL, related='18', enable=1, default_auth=0, front_display=1
WHERE id=17;
UPDATE sys_privilege
SET name='用户初始化密码', url='/api/admin/user/init_password', `type`='URL', parent_id=15, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=18;

--2023.10.10update
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=31;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备出库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=55;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备入库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=85;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=107;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备出库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=144;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备入库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=11, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=185;
UPDATE t_d_form_widget
SET code='DEVICE_OUT_TABLE', `type`='FORM', form_id='device_out_table', form_name='device_out_table', title='设备出库表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=57;
UPDATE t_d_form_widget
SET code='DEVICE_IN_TABLE', `type`='FORM', form_id='device_in_table', form_name='device_in_table', title='设备入库表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=87;
UPDATE t_d_form_widget
SET code='DEVICE_OUT_TABLE', `type`='FORM', form_id='device_out_table', form_name='device_out_table', title='设备出库表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=146;
UPDATE t_d_form_widget
SET code='DEVICE_IN_TABLE', `type`='FORM', form_id='device_in_table', form_name='device_in_table', title='设备入库表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=11, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=187;

--2023.10.12update
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_out_time', form_name='device_out_time', title='设备出库时间', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=56;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_in_time', form_name='device_in_time', title='设备入库时间', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=86;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_out_time', form_name='device_out_time', title='设备出库时间', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=145;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_in_time', form_name='device_in_time', title='设备入库时间', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=11, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=186;

ALTER TABLE basic_attachment ADD remark varchar(500) NULL;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3051, '小程序签名预览', '/api/admin/common/file/preview/app', 'URL', 64, 6, 'SYS', NULL, 1, 1, 0);

--2023.10.14update
UPDATE sys_privilege
SET name='考勤异常申请接口', url='/api/admin/ding/exception/apply/save', `type`='URL', parent_id=26, `sequence`=1, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3017;
UPDATE sys_privilege
SET name='考勤异常待审核接口', url='/api/admin/ding/exception/apply/flow/task/un_done/list', `type`='URL', parent_id=27, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3019;
UPDATE sys_privilege
SET name='考勤异常已审核接口', url='/api/admin/ding/exception/apply/flow/task/done/list', `type`='URL', parent_id=27, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3020;
UPDATE sys_privilege
SET name='考勤异常审核接口', url='/api/admin/ding/exception/apply/flow/approve', `type`='URL', parent_id=27, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3021;
UPDATE sys_privilege
SET name='考勤异常批量审核接口', url='/api/admin/ding/exception/apply/flow/batch/approve', `type`='URL', parent_id=27, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3022;

ALTER TABLE t_s_job_remind ADD crm_no varchar(100) NULL COMMENT 'crm单号';
ALTER TABLE t_s_job_remind CHANGE crm_no crm_no varchar(100) NULL COMMENT 'crm单号' AFTER `type`;

--2023.10.17update
INSERT INTO `t_d_form_widget` VALUES (188, 'FILE', 'FORM', 'upload_device_version_photos', 'upload_device_version_photos', '上传扫描仪固件版本号拍照', 'ARRAY', 1, 0, 1, 1, NULL, 5, NULL, NULL, NULL, NULL, 12, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 4, 0, NULL, NULL, 1, 1);

--2023.10.18update
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='attachments_info', form_name='attachments_info', title='附件说明', input_type='FILE', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='QUALITY_PROBLEM_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=3;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='project_info_photos', form_name='project_info_photos', title='上传项目关键信息表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=132;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=166;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=170;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=176;

CREATE TABLE t_f_custom_flow_allocation
(
    id BIGINT
        COMMENT '主键' NOT NULL,
    type VARCHAR(100)
        COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程' NOT NULL,
    t_f_custom_flow_id BIGINT
        COMMENT '自定义流程id' NULL,
    t_f_custom_flow_entity_id BIGINT
        COMMENT '流程实体id' NULL,
    role_allocation MEDIUMTEXT
        COMMENT '角色分配' NOT NULL,
    version INTEGER
        COMMENT '版本号' NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流程角色分配表';

/* Add Primary Key */
ALTER TABLE t_f_custom_flow_allocation ADD CONSTRAINT pkt_f_custom_flow_allocation
    PRIMARY KEY (id);

/* Add Comments */
ALTER TABLE t_f_custom_flow_allocation COMMENT = '流程角色分配表';

INSERT INTO t_f_custom_flow_allocation
(id, `type`, t_f_custom_flow_id, t_f_custom_flow_entity_id, role_allocation, version)
VALUES(1, 'PROJECT_EXCHANGE_FLOW', NULL, NULL, '{"setup":2,"roleTypes":[{"role":"QA"}]}', NULL);
INSERT INTO t_f_custom_flow_allocation
(id, `type`, t_f_custom_flow_id, t_f_custom_flow_entity_id, role_allocation, version)
VALUES(2, 'QUALITY_PROBLEM_FLOW', NULL, NULL, '{"setup":2,"roleTypes":[{"role":"QA"}]}', NULL);

--2023.10.19update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3052, '考勤异常详情接口', '/api/admin/ding/exception/apply/view', 'URL', 27, 6, 'SYS', NULL, 1, 1, 0);

UPDATE t_f_custom_flow_allocation
SET `type`='PROJECT_EXCHANGE_FLOW', t_f_custom_flow_id=NULL, t_f_custom_flow_entity_id=NULL, role_allocation='{"approveConfig":[{"setup":2,"roleTypes":[{"role":"QA"}]}]}', version=NULL
WHERE id=1;
UPDATE t_f_custom_flow_allocation
SET `type`='QUALITY_PROBLEM_FLOW', t_f_custom_flow_id=NULL, t_f_custom_flow_entity_id=NULL, role_allocation='{"approveConfig":[{"setup":2,"roleTypes":[{"role":"QA"}]}]}', version=NULL
WHERE id=2;

UPDATE sys_privilege
SET name='用户查询', url='/api/admin/user/list', `type`='URL', parent_id=15, `sequence`=1, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=252;

--2023.11.10update
ALTER TABLE t_b_ding_apply ADD attachment_paths varchar(800) NULL COMMENT '附件地址';
ALTER TABLE t_b_ding_apply CHANGE attachment_paths attachment_paths varchar(800) CHARACTER SET utf8mb4 NULL COMMENT '附件地址' AFTER attachment_ids;

--2023.11.14update
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='upload_list_title', form_name='upload_list_title', title='上传清单和报告', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=141;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_env_photos', form_name='upload_env_photos', title='上传《软硬件准备检查清单》拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=142;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_env_test_photos', form_name='upload_env_test_photos', title='上传《现场环境测试报告》拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=143;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备出库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=144;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_out_time', form_name='device_out_time', title='设备出库时间', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=145;
UPDATE t_d_form_widget
SET code='DEVICE_OUT_TABLE', `type`='FORM', form_id='device_out_table', form_name='device_out_table', title='设备出库表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=146;

--2023.11.20update
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(189, 'DATE', 'FORM', 'service_finish_plan_begin_date', 'service_finish_plan_begin_date', '现场服务完成进场计划时间', 'LONG', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, 'yyyy-MM-dd', 6, NULL, NULL, 'OFFICE_SOP_FLOW', 1, 1, NULL, NULL, 1, 9);
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(190, 'DATE', 'FORM', 'service_finish_plan_begin_date', 'service_finish_plan_begin_date', '现场服务完成进场计划时间', 'LONG', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, 'yyyy-MM-dd', 6, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 1, 1, NULL, NULL, 1, 11);

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_basic_info_title', form_name='project_basic_info_title', title='项目基本信息', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=18;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='course_count', form_name='course_count', title='科目数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=2
WHERE id=19;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='exam_student_course_count', form_name='exam_student_course_count', title='考生科次', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=3
WHERE id=20;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='scan_count', form_name='scan_count', title='扫描仪数量(台)', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=4
WHERE id=21;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='week_people_day', form_name='week_people_day', title='现场标准服务周期（人天）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=5
WHERE id=22;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='exam_student_Internal_date', form_name='exam_student_Internal_date', title='考生数据内部交接时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=6
WHERE id=23;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='exam_plan_date', form_name='exam_plan_date', title='考试时间安排表获取时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=7
WHERE id=24;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='project_key_info_date', form_name='project_key_info_date', title='项目关键信息提交截止时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=8
WHERE id=25;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='service_finish_plan_begin_date', form_name='service_finish_plan_begin_date', title='现场服务完成进场计划时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=9
WHERE id=189;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='service_finish_plan_date', form_name='service_finish_plan_date', title='现场服务完成撤场计划时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=10
WHERE id=26;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_people_plan_title', form_name='project_people_plan_title', title='项目人员安排及风险预估', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=11
WHERE id=27;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_user_id', form_name='region_user_id', title='区域协调人', input_type='STRING', required=1, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=12
WHERE id=28;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='engineer_user_id', form_name='engineer_user_id', title='实施工程师', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=13
WHERE id=29;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='assistant_engineer_user_id', form_name='assistant_engineer_user_id', title='助理实施工程师', input_type='ARRAY', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=30;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=31;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=32;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=17
WHERE id=33;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=18
WHERE id=34;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=19
WHERE id=35;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=20
WHERE id=36;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=21
WHERE id=37;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=22
WHERE id=38;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=23
WHERE id=39;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=24
WHERE id=40;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_basic_info_title', form_name='project_basic_info_title', title='项目基本信息', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=92;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='course_count', form_name='course_count', title='科目数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=2
WHERE id=93;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='exam_student_course_count', form_name='exam_student_course_count', title='考生科次', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=3
WHERE id=94;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='bar_code_paper_count', form_name='bar_code_paper_count', title='条码标准张数', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"3","label":"3张"},{"value":"4","label":"4张"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=4
WHERE id=95;
UPDATE t_d_form_widget
SET code='RADIO_WITH_INPUT', `type`='FORM', form_id='bar_code_paste_way', form_name='bar_code_paste_way', title='条码粘贴方式', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"EXAM_STUDENT","label":"考生自贴/数码印刷"},{"value":"PAPER","label":"回卷后粘贴"},{"value":"OTHER","label":"其它"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=5
WHERE id=96;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='has_objective_card', form_name='has_objective_card', title='有无客观题卡', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"HAVA","label":"有"},{"value":"NOT_HAVA","label":"无"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=6
WHERE id=97;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='scan_count', form_name='scan_count', title='扫描仪数量(台)', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=7
WHERE id=98;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='exam_student_Internal_date', form_name='exam_student_Internal_date', title='考生数据内部交接时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=8
WHERE id=99;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='week_people_day', form_name='week_people_day', title='现场标准服务周期（人天）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=9
WHERE id=100;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='project_key_info_date', form_name='project_key_info_date', title='项目关键信息提交截止时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=10
WHERE id=101;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='service_finish_plan_begin_date', form_name='service_finish_plan_begin_date', title='现场服务完成进场计划时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=11
WHERE id=190;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='service_finish_plan_date', form_name='service_finish_plan_date', title='现场服务完成撤场计划时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=12
WHERE id=102;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_people_plan_title', form_name='project_people_plan_title', title='项目人员安排及风险预估', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=13
WHERE id=103;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_user_id', form_name='region_user_id', title='区域协调人', input_type='STRING', required=1, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=104;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='engineer_user_id', form_name='engineer_user_id', title='实施工程师', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=105;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='assistant_engineer_user_id', form_name='assistant_engineer_user_id', title='助理实施工程师', input_type='ARRAY', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=106;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=17
WHERE id=107;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=18
WHERE id=108;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=19
WHERE id=109;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=20
WHERE id=110;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=21
WHERE id=111;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=22
WHERE id=112;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=23
WHERE id=113;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=24
WHERE id=114;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=25
WHERE id=115;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=26
WHERE id=116;

DROP TABLE IF EXISTS `t_b_sop_plan_date_log`;
CREATE TABLE `t_b_sop_plan_date_log` (
                                         `id` bigint NOT NULL COMMENT '主键',
                                         `sop_id` bigint DEFAULT NULL COMMENT 'sopId',
                                         `flow_id` bigint NOT NULL COMMENT '流程id',
                                         `begin_time` bigint NOT NULL COMMENT '计划开始时间',
                                         `end_time` bigint NOT NULL COMMENT '计划结束时间',
                                         `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                         `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                         `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                         `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sop进程计划时间日志表';

--2023.11.22update
UPDATE sys_privilege
SET name='批量导入', url='BatchImport', `type`='BUTTON', parent_id=5, `sequence`=6, property='AUTH', related='1047', enable=1, default_auth=0, front_display=1
WHERE id=1050;

INSERT INTO sys_device_brand
(id, brand, create_id, create_time, update_id, update_time)
VALUES(4, '华高', NULL, NULL, NULL, NULL);

INSERT INTO sys_device_model
(id, brand_id, model, create_id, create_time, update_id, update_time)
VALUES(5, 4, '1080', NULL, NULL, NULL, NULL);
INSERT INTO sys_device_model
(id, brand_id, model, create_id, create_time, update_id, update_time)
VALUES(6, 4, '5100', NULL, NULL, NULL, NULL);

--2023.11.27update
ALTER TABLE sys_device ADD CONSTRAINT sys_device_un_device_code UNIQUE KEY (device_code);
ALTER TABLE t_b_device_in_out ADD CONSTRAINT t_b_device_in_out_un_serial_no UNIQUE KEY (serial_no);
ALTER TABLE t_b_sop_info ADD CONSTRAINT t_b_sop_info_un_sop_no UNIQUE KEY (sop_no);
ALTER TABLE t_b_delay_warn ADD CONSTRAINT t_b_delay_warn_un_code UNIQUE KEY (code);
ALTER TABLE t_b_project_exchange ADD CONSTRAINT t_b_project_exchange_un_exchange_no UNIQUE KEY (exchange_no);
ALTER TABLE t_b_violation ADD CONSTRAINT t_b_violation_un_code UNIQUE KEY (code);
ALTER TABLE t_b_crm ADD CONSTRAINT t_b_crm_un_crm_no UNIQUE KEY (crm_no);

--2023.11.28update
DROP TABLE IF EXISTS `t_b_device_delivery`;
CREATE TABLE `t_b_device_delivery` (
                                       `id` bigint NOT NULL COMMENT '主键',
                                       `service_id` bigint DEFAULT NULL COMMENT '服务单元id',
                                       `crm_no` varchar(100) DEFAULT NULL COMMENT 'crm单号',
                                       `sop_no` varchar(100) DEFAULT NULL COMMENT 'sop单号',
                                       `device_no` varchar(50) NOT NULL COMMENT '设备编号',
                                       `usage_type` varchar(45) NOT NULL COMMENT '用途类型，PROJECT：项目，OTHER：其它',
                                       `supplier_id` bigint DEFAULT NULL COMMENT '供应商id',
                                       `num` int DEFAULT NULL COMMENT '数量',
                                       `mailing_address` varchar(500) DEFAULT NULL COMMENT '邮寄地址',
                                       `consignee` varchar(50) DEFAULT NULL COMMENT '收件人',
                                       `consignee_phone` varchar(30) DEFAULT NULL COMMENT '收件人联系电话',
                                       `express_no` varchar(50) DEFAULT NULL COMMENT '快递单号',
                                       `express_photo_path` varchar(500) DEFAULT NULL COMMENT '快递单拍照',
                                       `status` varchar(30) DEFAULT NULL COMMENT '状态，UN_DELIVER：待发货，DELIVER：已发货，RECEIVE：已签收，CANCEL：作废',
                                       `deliver_time` bigint DEFAULT NULL COMMENT '发货时间',
                                       `deliver_user_id` bigint DEFAULT NULL COMMENT '发货人id',
                                       `receive_time` bigint DEFAULT NULL COMMENT '签收时间',
                                       `receive_user_id` bigint DEFAULT NULL COMMENT '签收人id',
                                       `enable` tinyint DEFAULT '1' NULL COMMENT '是否启用，0：停用，1：启用',
                                       `create_id` bigint DEFAULT NULL COMMENT '创建人id',
                                       `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                       `update_id` bigint DEFAULT NULL COMMENT '更新人id',
                                       `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='设备发货表';

ALTER TABLE t_b_device_in_out CHANGE COLUMN usage_type usage_type VARCHAR(45)
    COMMENT '用途类型（项目、其他）' NULL;

INSERT INTO sys_role
(id, org_id, name, enable, `type`, create_id, create_time, update_id, update_time, default_role, interpret)
VALUES(12, NULL, '设备发货员', 1, 'DEVICE_DELIVERY', NULL, NULL, 443437441441857536, 1697621767961, 1, '系统角色');

UPDATE sys_privilege
SET name='出入库登记查询', url='deviceInOut', `type`='MENU', parent_id=36, `sequence`=2, property=NULL, related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=37;
UPDATE sys_privilege
SET name='设备资源监控', url='deviceControl', `type`='MENU', parent_id=36, `sequence`=3, property=NULL, related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=38;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3053, '设备发货管理', 'deviceDelivery', 'MENU', 36, 1, NULL, NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3054, '列表', 'List', 'LIST', 3053, 1, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3055, '查询条件', 'Condition', 'CONDITION', 3053, 1, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3056, '批量导入', 'BatchImport', 'BUTTON', 3053, 1, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3057, '批量导出', 'BatchExport', 'BUTTON', 3053, 2, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3058, '批量发货', 'BatchDeliver', 'BUTTON', 3053, 3, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3059, '批量签收', 'BatchReceive', 'BUTTON', 3053, 4, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3060, '批量作废', 'BatchCancel', 'BUTTON', 3053, 5, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3061, '修改', 'Update', 'LINK', 3053, 1, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3062, '作废', 'Cancel', 'LINK', 3053, 2, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3063, '发货', 'Deliver', 'LINK', 3053, 3, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3064, '签收', 'Receive', 'LINK', 3053, 4, 'AUTH', NULL, 1, 0, 1);

--2023.11.29update
UPDATE sys_privilege
SET name='批量发货', url='BatchDeliver', `type`='BUTTON', parent_id=3053, `sequence`=3, property='AUTH', related='3067', enable=1, default_auth=0, front_display=1
WHERE id=3058;
UPDATE sys_privilege
SET name='批量签收', url='BatchReceive', `type`='BUTTON', parent_id=3053, `sequence`=4, property='AUTH', related='3067', enable=1, default_auth=0, front_display=1
WHERE id=3059;
UPDATE sys_privilege
SET name='批量作废', url='BatchCancel', `type`='BUTTON', parent_id=3053, `sequence`=5, property='AUTH', related='3067', enable=1, default_auth=0, front_display=1
WHERE id=3060;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=3053, `sequence`=1, property='AUTH', related='3065', enable=1, default_auth=0, front_display=1
WHERE id=3061;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='LINK', parent_id=3053, `sequence`=2, property='AUTH', related='3066', enable=1, default_auth=0, front_display=1
WHERE id=3062;
UPDATE sys_privilege
SET name='发货', url='Deliver', `type`='LINK', parent_id=3053, `sequence`=3, property='AUTH', related='3066', enable=1, default_auth=0, front_display=1
WHERE id=3063;
UPDATE sys_privilege
SET name='签收', url='Receive', `type`='LINK', parent_id=3053, `sequence`=4, property='AUTH', related='3066', enable=1, default_auth=0, front_display=1
WHERE id=3064;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3065, '设备发货修改接口', '/api/admin/device/delivery/save', 'URL', 36, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3066, '设备发货状态修改接口', '/api/admin/device/delivery/status/update', 'URL', 36, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3067, '设备发货状态批量修改接口', '/api/admin/device/delivery/status/batch/update', 'URL', 36, 3, 'AUTH', NULL, 1, 1, 0);

ALTER TABLE sys_device DROP KEY sys_device_un_device_code;
ALTER TABLE sys_device ADD CONSTRAINT sys_device_un_serial_no UNIQUE KEY (serial_no);

--2023.11.30update
UPDATE sys_privilege
SET name='设备发货保存接口', url='/api/admin/device/delivery/save', `type`='URL', parent_id=36, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3065;

ALTER TABLE t_b_device_delivery MODIFY COLUMN enable tinyint DEFAULT 1 NULL COMMENT '是否启用，0：停用，1：启用';
DELETE FROM t_b_product WHERE id=1;

INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(191, 'RADIO', 'FORM', 'third_service_region_cb', 'third_service_region_cb', '外包服务范围', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, 12, NULL, '[{"value":"SCAN","label":"仅扫描"},{"value":"SCAN_MARK","label":"扫描+评卷"}]', 'OFFICE_SOP_FLOW', 1, 0, NULL, NULL, 1, 15);

UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=31;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=17
WHERE id=32;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=18
WHERE id=33;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=19
WHERE id=34;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=20
WHERE id=35;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=21
WHERE id=36;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=22
WHERE id=37;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=23
WHERE id=38;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=24
WHERE id=39;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=25
WHERE id=40;

update t_b_sop_info t set t.product_id = 2
where t.product_id = 1;

update t_b_crm t set t.product_id = 2
where t.product_id = 1;

--2023.12.01update
ALTER TABLE t_b_sop_info_detail ADD after_region_to_enginess TINYINT DEFAULT 0 NULL COMMENT '之后是否由区域协调人替换实施工程师，true：是，false：不是';

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_model_title', form_name='mark_model_title', title='评卷模式确认', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=78;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='mark_model_radio', form_name='mark_model_radio', title='评卷模式', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"TRAIL","label":"轨迹模式"},{"value":"NORMAL","label":"普通模式"}]', flow_type='OFFICE_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=79;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_params_title', form_name='mark_params_title', title='评卷参数核对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=80;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_params_cb', form_name='mark_params_cb', title='评卷参数核对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核查每个科目的满分是否正确（大部分科目都是100分）"},{"value":"2","label":"2、核对客观题标答以及分数是否录入正确、多选题判分规则（漏选是否得分、任选得分）"},{"value":"3","label":"检查所有科目结构和分组是否全部导入。（评卷管理>评卷进度查看分组状态）"}]', flow_type='OFFICE_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=81;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_submit_title', form_name='mark_submit_title', title='成绩提交核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=82;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_submit_cb', form_name='mark_submit_cb', title='成绩提交核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、是否已核对不缺考、客观题为0分的情况"},{"value":"2","label":"2、是否已核对主观题为0、客观题有分的情况"},{"value":"3","label":"3、是否检查客观题小题得分率低于20%的情况"},{"value":"4","label":"4、核对导出成绩表数据条数是否与考生表数量一致，不能带有“未导出全量数据”字样；请填写导出成绩数量以及完成时间"},{"value":"5","label":"5、核对导出图片工具是否正常运行"}]', flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=83;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_success_photos', form_name='upload_success_photos', title='上传验收报告(纸质)拍照', input_type='ARRAY', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=84;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备入库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=85;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_in_time', form_name='device_in_time', title='设备入库时间', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=86;
UPDATE t_d_form_widget
SET code='DEVICE_IN_TABLE', `type`='FORM', form_id='device_in_table', form_name='device_in_table', title='设备入库表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=87;

UPDATE sys_privilege
SET name='初始化密码', url='InitPwd', `type`='LINK', parent_id=15, `sequence`=3, property='AUTH', related='18', enable=1, default_auth=0, front_display=1
WHERE id=17;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3068, '绑定供应商', 'bandSupplier', 'LINK', 15, 4, 'AUTH', NULL, 1, 0, 1);

--2023.12.03update
UPDATE sys_privilege
SET name='绑定供应商', url='bandSupplier', `type`='LINK', parent_id=15, `sequence`=4, property='AUTH', related='3074,3075', enable=1, default_auth=0, front_display=1
WHERE id=3072;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3073, '根据用户角色查询供应商信息接口', '/api/sys/supplier/list/by/user_role', 'URL', 4, 7, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3074, '查询绑定供应商', '/api/admin/user/query/supplier', 'URL', 15, 5, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3075, '绑定供应商', '/api/admin/user/band/supplier', 'URL', 15, 6, 'AUTH', NULL, 1, 1, 0);

--2023.12.11update
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='import_exam_student_count', form_name='import_exam_student_count', title='导入考生数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=60;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='import_exam_student_count', form_name='import_exam_student_count', title='导入考生数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=149;

--2023.12.26update
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='cross_check_cb', form_name='cross_check_cb', title='交叉比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"是否建议学校进行同一考生多科目分数交叉比对（成绩复核-成绩校验），需所有科目全部改完后管理员账号才能查看。"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=180;

UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='card_format_cb', form_name='card_format_cb', title='卡格式制作', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、定位线：上方紧挨装钉“线”字，但是不超过“线”字；考生信息遮挡区需按要求框选"},{"value":"2","label":"2、扫描原图正反面检查是否正确"},{"value":"3","label":"3、扫描裁切图屏蔽区检查是否正确"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=153;

UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_submit_cb', form_name='mark_submit_cb', title='成绩提交核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对导出成绩表数据条数是否与考生表数量一致，不能带有“未导出全量数据”字样"},{"value":"2","label":"2、导出验收报告（考试管理-详情-验收报告），和学校签字确认盖章，上报验收报告至质控平台"},{"value":"3","label":"3、核对导出图片工具是否正常运行"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=182;

UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_progress_cb', form_name='mark_progress_cb', title='评卷进度核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对阅卷总进度是否为100%"},{"value":"2","label":"2、核对科目阅卷进度是否为100%"},{"value":"3","label":"3、核对问题卷是否处理完成"},{"value":"4","label":"4、核对所有科目状态点击“结束”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=10, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=178;

UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='missing_list_cb', form_name='missing_list_cb', title='缺考名单比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"核对“无答题卡考生”的考生是否与学校提供的缺考名单吻合，人工指定为缺考（缺考一致性>导入缺考>导入缺考缺页）；需核对平台“考生管理”中状态为“未上传”的考生是否全部为缺考、是否全部变为“人工指定”。"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=162;

DELETE FROM t_d_form_widget
WHERE id=142;

DELETE FROM t_d_form_widget
WHERE id=143;

DELETE FROM t_d_form_widget
WHERE id=132;

UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='device_in_out_label', form_name='device_in_out_label', title='设备出库', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=144;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='device_out_time', form_name='device_out_time', title='设备出库时间', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=145;
UPDATE t_d_form_widget
SET code='DEVICE_OUT_TABLE', `type`='FORM', form_id='device_out_table', form_name='device_out_table', title='设备出库表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=146;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_device_version_photos', form_name='upload_device_version_photos', title='上传扫描仪固件版本号拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=188;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='upload_list_title', form_name='upload_list_title', title='上传清单和报告', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=141;
